Introduction

  • What's New in this Release?
  • About Mitel MiVoice Business Console
  • About the Document Set
  • About Getting Help


What's New in this Release?

What’s New in 9.1 SP1?

MiVoice Business Console 9.1 SP1 includes the following features and enhancements:

  • A new option in the Audio panel allows advanced audio device configuration.
  • With Cloudlink Chat, you can now view a chat contact's phone number(s) and place calls from the chat window.
  • Installation of the console in teleworker mode is now simpler with support for the MiVoice Border Gateway installer password in the MiVoice Business Console's Configuration Wizard.
  • Windows 7 is no longer supported.
  • Support for Postgres Database Release 12.1.

What’s New in 9.1?

MiVoice Business Console 9.1 includes the following features and enhancements:

  • User Messaging Enhancements

    • The MiVoice Business Console now supports Cloudlink Chat when the option is enabled on the MiCollab Client Server. When Cloudlink Chat is enabled, chat messages can be sent to a contact, even if the contact is off-line. Presence is represented by a blue chat icon to indicate Cloudlink Chat is enabled.
    • The following additional enhancements are available for both Cloudlink and MiCollab chat:
      • A new chat window is available within the tools window. The window lists active chats on the left side and conversations on the right side.
      • The console toolbar now supports a new chat button. The chat function can also be assigned to a configurable keyboard key.
      • Improved notifications are provided when a new chat message is received. These include, unread message indications on the toolbar chat button and within the chat window, and windows visual and audible notifications.
      • Chat history support.
      • Emoji support (Cloudlink chat only)
    • Up to 16 MiVoice Business Consoles can now be supported in a MiCollab Solution with 20,000 contacts.
    • The port that the console uses to connect to the MiCollab Client Server is Port 36008 (instead of 6807 or 18100). Refer to the MiVoice Business Console Installation Guide for the updated port diagram.

What’s New in 9.0 SP1?

MiVoice Business Console 9.0 SP1 includes the following features and enhancements:

  • Microsoft Office 365 Support

    • MiVoice Business Console supports calendar integration with Microsoft™ Office 365.

  • Call History Enhancements

    • The Call History panel allows you to configure the number of entries returned from a call history search.

    • The console supports call back to caller's number directly from the Call History panel.

  • External LDAP Call Display

    • MiVoice Business Console supports call display of names obtained from an external LDAP server if the MiVoice Business Multilingual Name Display using External LDAP feature is configured.

What's New in Release 9.0?

MiVoice Business Console 9.0 includes the following features and enhancements:

  • Phone Book Search - Search Within Name and Text Fields

    • In ADF directory mode, the operator can now enable or disable phone book searching for characters within in a name or text field.

  • MiVoice Business Secure Connection

    • The console supports Transport Layer Security (TLS) connections to the MiVoice Business when the MiVoice Business TLS system option is enabled. For security certificate management details, refer to the MiVoice Business Console Administrator Help and MiVoice Business Console Installation Guide.

What's New in Release 8.0 SP3?

MiVoice Business Console 8.0 SP3 includes the following features and enhancements:

  • Customizable Keyboard Keys

    • You can assign PC keyboard keys to the frequently used console functions.

What's New in this Release 8.0 SP2?

No new features.

What's New in Release 8.0 SP1?

MiVoice Business Console 8.0 SP1 includes the following features and enhancements:

  • Support for Master Profile

    • Master Profile allows configuration settings to be shared by a group of console users. The administrator sets this feature up on each console within the group. As part of the setup, the administrator designates a master console user responsible for selecting settings to be included in the master profile, making changes to those settings, and generating a master profile file containing the settings. The master profile file is subsequently imported when console users within the group start their console.

Note: Master Profile replaces the Backup/Restore function that was available in earlier releases.

  • Support for Postgres Database Release 9.6

    • Master Profile replaces the Backup/Restore function that was available in earlier releases.

  • Phone Book Search

    • The operator can perform a phone book search for characters contained in a name or text field in ADF directory mode.

  • Microsoft Exchange Server 2016

    • MiVoice Business Console supports Microsoft™ Exchange Server 2016.

What's New in Release 8.0?

MiVoice Business Console 8.0 includes the following features and enhancements:

  • Documentation Improvements

    • A new section called "What's New in this Release?" has been added.

    • The MiVoice Console Help has been divided into two separate Help files: MiVoice Business Console Operator Help and MiVoice Business Console Administrator Help.

  • MiVoice Business Phone Book Directory Support

    • In MiVoice Business Release 8.0, Phone Book enhancements allow the administrator to exclude non-dialable telephone directory entries from the console's Phone Book. Additionally, the console now displays longer user names, longer department and location strings, e-mail addresses, and primary phone service indications.

    • User names can now contain multilingual characters by default. The Multilingual Name Display option has been removed.

    • User messaging and Calendar Integration features no longer require ADF as a prerequisite. ADF remains a prerequisite for MiCollab Service Federation with third-party servers.

  • Headset Answer/Release Support

    • The operator can now answer and release calls from Jabra™ and Plantronics™ audio devices".

  • BLF All List

    • A BLF list containing all monitored extensions is automatically generated.

  • Missed Calls Integration into Call History

    • You can see the missed call details under the Call History tab.

  • My Queued Calls

    • My Queued Calls, within the Queued Calls area, provides a comprehensive view of all the current calls in the console, that is, the Incoming, Held, Transferred, and the Parked calls.

  • Emergency Notification on Headset/Handset device

    • In addition to playing an emergency ring tone on the console ringer, the console will now play an emergency notification tone on a headset/handset device if the option to hear ringing on a headset/handset device is enabled.

  • Configurable MAC Address

    • The administrator now has an option within the configuration wizard to assign a unique MAC address that has been provided by Oria to the console instead of using the default PC MAC address.

  • MiVoice Border Gateway Secure Connection

    • This new option controls whether the console connects to the MiCollab Client Server using a direct connection or a secure connection through the MiVoice Border Gateway.

  • Microsoft Windows 10

    • Support for Microsoft™ Windows 10.

What's New in MiVoice Business Console Release 7.2 SP1?

MiVoice Business Console Release 7.2 SP1 includes the following features and enhancements:

  • Mitel Brand Header Support.

  • Ability to search and sort when editing a BLF List.

  • Ability to display multi-line greetings and remarks in the Source area.

What's New in MiVoice Business Console Release 7.2?

MiVoice Business Console 7.2 includes the following features and enhancements:

  • Support for ISO-8859-1 character set (accented characters) in User Login ID and password, presence integration, chat, and IM functionality in User Messaging.

  • Support for MiVoice Border Gateway resiliency.

What's New in MiVoice Business Console Release 7.1?

MiVoice Business Console 7.1 includes the following features and enhancements:

  • Multilingual Name Display (UTF-8) — When ADF is enabled, this option allows multilingual names, such as Russian and Chinese, to display in many areas of the Console Display, such as the Phone Book, Busy Lamp Field, Call History, Source and Destination and so forth.

  • Enhancements to the Comments function — allows 1500 characters to be entered into a comment, and also allows the following: bold, underline, italics, as well as changes to font, text size, and style of text.

  • Number of ADF entries — increased to 130,000.

  • Number of BLF Private Lists — increased to 500.

  • New Ring Options — allows you to select a tone to be played for incoming calls.

  • Auto Unmute — lets you have a call automatically unmute when the called party answers during a supervised transfer.

What's New in MiVoice Business Console Release 7.0 SP1?

MiVoice Business Console 7.0 SP1 includes the following features and enhancements:

  • Support for Exchange 2013.

  • Support for Windows 8 Touchscreen.

  • Support for Comments in Transfer Assistant.

  • Support for incoming call ringing on headset/handset devices.

  • Support for a unique PC-based MAC address for hosting deployments.

Parent topic: Introduction


About Mitel MiVoice Business Console

The MiVoice™ Business Console is an integrated console application for MiVoice Business. It features an intuitive user interface for smooth, efficient call handling.

The MiVoice Business Console requires the following:

  • a Windows PC with Microsoft Windows 8, Windows 8.1, or Windows 10

  • a Bluetooth headset, or USB headset or handset, and

  • a full-size keyboard with a numeric keypad or a USB keypad, and speakers

If you require assistance using Help, see About Getting Help.

About the Console Users

In this Help system, you may see Console users referred to by different names. For the purposes of this guide, Console users fit into two main categories. These roles may be assumed by console operators themselves, or a lead operator, depending on the size of your call management team. Roles may also overlap.

  • Console Administrators - typically responsible for installation, upgrades, configuring and maintaining operator and user data (for example, for the Call History or User Messaging feature), enabling specific features, and performing high-level system administration.

  • Operators - these users use the Console to effectively interface with callers directly, using console features and functionality to handle calls.

Parent topic: Introduction


About the Document Set

In addition to this help, your MiVoice Business Console comes with a comprehensive set of printable and electronic documentation, including the document listed in the table below.

Document Name | Description
MiVoice Business Console Quick Reference Guide | Introduces the main features of the MiVoice Business Console and explains how to perform basic call-handling tasks.
MiVoice Business Console Operator Help | Describes the Console interface, how to get started, how to manage audio, how to handle calls, as well as advanced topics.
MiVoice Business Console Administrator Help | Describes the Configuration Settings and provides detailed procedures for configuring the console for such features as Additional Database Fields, Busy Lamp Field, Call History, User Messaging, and so forth.
MiVoice Business Console Installation and Configuration Guide | Provides detailed instructions for the console administrators who are installing and configuring the MiVoice Business Console.

Accessing the document set

Go to Document Center, for easy access to the Quick Reference Guide, Transition Guide, and Installation and Configuration Guide. You do not need a Mitel Online (MOL) account to download these end-user guides.

Conventions used in this guide

Throughout this guide, the Call Handling keys on the PC numeric keypad are in bold type, for example, Answer, Release, Hold, and Cancel. For example, press the Answer (Enter key). Call Handling buttons are represented by their respective icon [image].

Softkey commands that appear on your screen and correspond to the Function keys (F1, F2, F3, etc.) at the top of your keyboard are shown in brackets, for example, [Source] or [Destination].

See About keyboard controls for more information.

Note: In Microsoft Windows 8 and later, you have the option to use a touch screen.

In this guide, when the term Select, Click or Right-click is used, you may also use Touch Screen controls to perform the actions.

Parent topic: Introduction


About Getting Help

Mitel programs feature standard Windows Help options to help you while you work. This help is available to you any time.

To access the Help system while you are working:

  • Select Help from the main menu area, and then Operator Help or Administrator Help topics.

Find help quickly

The Help system provides you with a number of ways to find information quickly:

To search | Use this feature
By topic | The Contents tab gets you directly to the information you need. This tab provides you with a complete list of the main topics in the Help system. To open a book in the list, double-click the book. To choose a topic, click the topic name. When you click a topic in the list, the Help system takes you directly to the relevant information.
By word or phrase | The Search function is a handy feature for finding a particular word or phrase across all topics in the Help system. To access the Search function, click the Search tab. The Search function lets you specify a word or phrase that relates to the subject you want more information about, then it links the subject you've specified to the relevant topic(s). At this point, you can select the topic that's most likely to have the information you're looking for. It's the quickest way to find the information you need.

Contact Mitel

World Headquarters

4000 Innovation Dr

Kanata, Ontario, Canada K2K 3K1

Telephone: 613-592-2122

Fax: 613-592-4784

Internet: http://www.mitel.com

Parent topic: Introduction


Configuration Settings

  • Directory Administration Configuration
  • Directory Administration Maintenance
  • Options (Answer Priority)
  • Options (Application Settings)
  • Options (Busy Lamp Field)
  • Options (Calendar)
  • Options (Call History)
  • Options (Master Profile)
  • Options (Keyboard)
  • Options (Queued Calls)
  • Options (Tools)
  • Options (User Messaging)


Directory Administration Configuration

Use this dialog box to enable the Additional Database Field feature and configure related file locations for ADF-related features. Also use this dialog box to configure the number of phone book entries to be returned during a MiVoice Business phone book search.

To open this dialog

  1. Select Directory Administration from the Tools menu.

  2. Click on the Configuration option.

Enable Additional Database Fields Feature

Select this option to allow your console to obtain directory information from ADF files instead of the MiVoice Business.

ADF, Comments and Multi-company directory file locations

These fields define locations for ADF-related features. For assistance, contact your system administrator.

Phone Book Settings

Enter the number of entries to be returned from a MiVoice Business phone book search and the time that the phone book results should persist in the console directory cache.

Parent topic: Configuration Settings


Directory Administration Maintenance

Use this dialog box to specify how often the ADF data is reloaded into the console and to configure the ADF/ESM Phonebook directory synchronization.

To open this dialog

  1. Select Directory Administration from the Tools menu.

  2. Click on the Maintenance option.

Load ADF Directory Data

Specify the scheduled interval that the console refreshes ADF data from file.

ESM Directory Synchronization

Specify the location of the exported ESM Directory file and schedule the frequency that the exported data is used to update the ADF data file.

Schedule Synchronization

Specify a daily sync more than 15 minutes after the MiVoice Business Directory export time.

Synchronize Now

Synchronizes the data immediately instead of at the scheduled time.

Parent topic: Configuration Settings


Options (Answer Priority)

Use this dialog box to specify how many calls must be waiting before the system presents them to your console and which incoming calls get answered first when you press the Answer (Enter key) or [image] or headset answer/release button.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click on the Answer Priority option.

First-come, First-served

Select this option to answer the longest waiting call first. Recalls are always answered first, followed by other calls in order of arrival.

Assigned Line Priorities

Select this option to prioritize calls by LDN. The one(s) listed in the telephone directory and Directory Assistance) or type (Recall, Dial, External, Wats, etc.) For each LDN or call type, enter a number from 1 to 7. The lower the number the higher the priority. Typically, highest priority is given to calls to your company’s main telephone number.

Note: You can select the call that you want to answer by pressing a softkey (Recall, Dial, External, Wats, etc.) instead of the Answer key.
Parent topic: Configuration Settings


Options (Application Settings)

Use this dialog box to select the screen pop feature, select the language to be used for the console, and to enable the Auto Unmute option.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click on the Applications Setting option.

Screen Pop

Enable the Screen Pop feature to have the console main window come to the foreground upon incoming calls. The console window will “pop” from the minimized state or from behind other windows when a call is received and the Incoming Call Threshold is reached.

Language

Use this option to select the operating language for the console. All text on the console screen will appear in the language you choose after you restart your console.

Call Handling Settings

Use the Auto Unmute option to have the console automatically unmute when you perform an operation that connects you to another party.

For example:

  • When you mute a conversation with your connected party and dial another party who answers.

  • When you mute a conversation with your connected party and swap to another party by pressing [Source] or [Destination].

  • When you mute a conversation with your connected party and then form conference pressing [Conference].

Parent topic: Configuration Settings


Options (Busy Lamp Field)

Use this dialog box to select whether you want to use the Busy Lamp Field feature, to select locations for BLF Lists, and to modify BLF Tile View settings.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click on the Busy Lamp Field option.

Enable Busy Lamp Field Feature

Select this option to allow your console to receive and display busy lamp statuses from the MiVoice Business after a console restart.

BLF List Files

These fields define the location of your shared and private busy lamp lists. See BLF Lists to create and edit lists. For assistance, contact your system administrator.

BLF Tile View

This option allows you to select the number of tile columns that you would like to have in the BLF area when you are in tile view.

Parent topic: Configuration Settings


Options (Calendar)

Use this dialog box to select whether you want to use the MS Office Calendar Integration feature and to enter the Microsoft Exchange Server login details.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the Calendar option.

Enable Calendar Feature

Select this option to allow your console to access and display calendar information.

Email Address, Password, and Exchange Server Address

These fields define login information needed to access the Microsoft Exchange Server. For assistance, contact your system administrator.

Parent topic: Configuration Settings


Options (Call History)

Use this dialog box to select whether you want to use the Call History feature and to enter Call History database login details.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the Call History option.

Enable Call History Feature

Select this option to allow your console to write to and read from the call history database.

Database User Name, Password, Server Name and Database Name

These fields define login information needed to access the Call History database. For assistance, contact your system administrator.

Call History Search Maximum

You can specify the maximum number of results that a call history search returns. In the text box, enter the number range. The default value is 100.

Call History Prefix Digits

You can configure that outgoing calls be prefixed with a numeral, an asterisk, or a hash symbol. A maximum of seven digits can be configured as prefix. In the text box, enter a prefix value. The prefix is automatically displayed before the external caller's number when you call back the external caller from the Call History or the My Call History panel.

Parent topic: Configuration Settings


Options (Master Profile)

This dialog box is used by the Administrator to create a master profile containing common configuration settings that can be imported when the console application is started.

Note: This panel is only available if Master Profile is enabled through the Configuration Wizard. Only a designated master can modify and generate the Master Profile.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the Master Profile option.

To Generate a Master Profile

  1. In the Master Profile option, select the option or group of options that you want to include in the Master Profile.

  2. Click Generate Master Profile to write the current values for selected options to the Master Profile file.

  3. Restart the master console.

    The restart is required to ensure that the new settings are imported successfully.

    Note: Users that share the master profile must restart their console for the changes to take effect.
Parent topic: Configuration Settings


Options (Keyboard)

Use this dialog box to assign keyboard keys to the console functions.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click on the Keyboard option.

To assign a keyboard key to a console function

  1. Click the Key column cell next to the function that you want to configure.

    A drop-down list appears, displaying the list of configurable keys.

  2. From the list, select the key you want to assign to the console function. If a key is not assigned to a function, the value of the cell is unassigned by default.

    Note: Ensure that a key is not assigned to multiple functions.

  3. Click Apply or OK to save the changes.

To reassign or remove the keyboard key assigned to a console function

  1. In the Key column, click the cell next to the function that you want to remove.

    A drop-down list box appears with the list of configurable keys.

  2. Do one of the following:

    • Select a new key you want to assign for the function. The cell displays the selected key.

    • Select unassigned to remove the key assigned for the function. The cell becomes blank.

  3. Click Apply or OK to save the changes.

Parent topic: Configuration Settings


Options (Queued Calls)

Use this dialog box to select the incoming calls threshold and various timeout values for incoming, transferred, and parked calls.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the Queued Calls option.

Incoming Calls Threshold

To reduce call-waiting times, your system may be programmed to present incoming calls to other consoles or answering positions. If your system is programmed this way, enter the number of calls that must be incoming before the system presents them to your console.

Incoming Calls

Displays the Timeout Value for Incoming Calls, indicating the amount of time an incoming call can remain queued before a visual alert appears. Set the value in seconds from 0 to 999. The default setting is 30 seconds.

Transferred Calls

Displays the Timeout Value for Transferred Calls, indicating the amount of time a transferred call can remain queued before a visual alert appears. Set the value in seconds from 0 to 999. The default setting in 60 seconds.

Parked Calls

Displays the Timeout Value for Parked Calls, indicating the amount of time a parked call can remain queued before a visual alert appears. Set the value in seconds from 0 to 999. The default setting is 120 seconds.

Parent topic: Configuration Settings


Options (Tools)

Use this dialog box to enable Guest Services. You can also set the maximum number of entries returned when searching the Guest Services directories. You can also set the path to the file required for Bulletin Board function.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the Tools option.

Enable Guest Services

Click the check box to enable the Guest Services feature. The feature takes effect when the console is restarted. By default, this feature is not enabled.

On the console restart, the following changes occur:

  • the Guest Services icon [image] appears in the Tools area at the top of the screen and in the Tools window.

  • the PMS link status and Call Block status display at the bottom of the console screen in the Status Area.

  • Guest Services is enabled in the Tools menu.

Set Guest Services Range

A low value can speed up searching by displaying only a portion of entries that match what you type. For example, if you set the value to 10, and then Search for "Smith," the console will list the first 10 entries beginning with "Smith." If the entry you're looking for isn't listed, make the search more specific by including person's first name.

Set Bulletin Board Location

Shows the location of the Bulletin Board file as specified when the console was installed. If the file has moved since installation, enter its new location in the box provided.

Parent topic: Configuration Settings


Options (User Messaging)

Use this dialog box to Enable Presence Integration, configure MiCollab Client Server login information, chat status settings, and predefined message locations for chat and email messages.

To open this dialog

  1. Select Options from the Tools menu.

  2. Click the User Messaging option.

Populate or clear the User sign-in name, password, Server, and Messages directory path, as required.

Enable Presence Integration Feature

Select this option to allow your console to connect to the MiCollab Client Server to receive presence information and to chat with contacts.

Note: Cloudlink chat capability is enabled on the MiCollab Client Server.

User Login ID, Password and Server

These fields define login information needed to connect to the MiCollab Client Server. For assistance, contact your system administrator.

MiVoice Border Gateway Secure Connection

Do either of the following to connect MiVoice Business Console to the MiCollab Client Server:

  • Enable the MiVoice Border Gateway Secure Connection option if you want to connect to the MiCollab Client Server using secure connections (HTTPS on port 443 and SIP on port 6807) through MBG.

    Note: If you are using secure connections, the MiVoice Border Gateway web certificate must be trusted by Java™ version 1.8.0_152.

  • Disable the MiVoice Border Gateway Secure Connection if you want to connect directly to the MiCollab Client Server (HTTPS on port 80 and WebSocket on port 36008).

Chat Away Status Settings

Use this option to enable away status for your console and to define how long your PC must be idle before your chat status is set to ‘away’.

Note: Chat Away Status is not supported when Cloudlink chat is enabled.

Predefined Message Location

This field defines the location of message text that you can select to be added to an email or instant message you are sending.

For assistance, contact your system administrator.

Parent topic: Configuration Settings


Configuration and Administration

  • Security
  • Busy Lamp Field
  • Call History
  • MS Office Calendar Integration
  • Master Profile
  • Multiple Company Directory
  • Phone Book Directory
  • Teleworker
  • User Messaging/MiCollab Client Integration
  • Problem Reporting


Security

  • Security Certificate Error
Parent topic: Configuration and Administration


Security Certificate Error

The console connects to the MiVoice Business system using a secure connection if the Enable TLS for IP Set Registration option is enabled in the ESM System Options form. When the console starts, it validates the TLS certificate provided by the MiVoice Business system against the console's certificate database. If the validation fails, the console displays a security error message and aborts the connection. To resolve this, run the MiVoice Business Console Configuration Wizard, verify whether the certificate provided matches the details in the ESM Device Certificate form, and add the required certificate to the console's certificate database. For more information, see the MiVoice Business Console Installation Guide and the MiVoice Business System Administration Tool Help.

Parent topic: Security


Busy Lamp Field

  • About Busy Lamp Field Lists
  • Task Flow for BLF Configuration
  • Configure MiVoice Business for BLF
  • Enable/Disable Busy Lamp Field Feature
Parent topic: Configuration and Administration


About Busy Lamp Field Lists

Operators can create one or more BLF lists. BLF lists are either private or shared.

  • Private: A private BLF list is created by individual operators for personal use. A private list can be stored either on the network, or on the console PC for use from that console only. If private lists are stored on the network, they must not be shared by multiple consoles. The maximum number of private BLF lists is 100.

  • Shared: A shared BLF list can be used and edited by all consoles and is usually created by lead operators. A shared list is usually kept on the network. All console operators can edit a shared list. The changes made at one console appear in all the others. Only one operator at a time can edit the list. The operator making changes sees them immediately; the other operators only see them after they use the Directories menu's Refresh BLF Panel option or exit and then re-enter the Busy Lamp Field area. The maximum number of shared BLF lists is 20.

Private and shared lists must be stored in separate directories (or folders). A lead console operator or console maintainer usually specifies the directory location of the private and shared lists when enabling the BLF feature.

When the console starts up, it collects its BLF lists from the two folders identified when the BLF feature was enabled. The Private folder can have 500 BLF list files, and the Shared folder can have up to 20 BLF files. The console collects files from each folder (in alphabetical order) — it ignores any extra files over the maximum number allowed.

Note: To ensure that the console collects all the BLF information, do not store more than 20 list files in Shared folder or more than 500 list files in the Private folder. Use only the console’s Edit BLF List function to work with the files. Do not edit the files directly and do not store any other type of file in these folders.

You can create, delete, rename or change share attribute, and duplicate private and shared BLF lists. See Busy Lamp Field Lists.

The console automatically creates and maintains a private list with the name [image] All. This list contains all extensions being monitored by the MiVoice Business. The list is created on startup of the console and updated periodically (approximately every 4 hours). If the [image] All list is deleted or renamed it is recreated on the next console startup or update. Additionally, any edits made to the [image] All list contents are overwritten on the next console startup or update.

Multiple Company Directory and BLF Lists

If operators are using the Multiple Company Directory feature, BLF lists are automatically created for each company. These lists are private. The BLFlist name is the same as the Company's name.

If you are using the MiVoice Business Directory, names included in the BLF list are those entries that match their MiVoice Business Telephone Directory Location with a Company Name in the Company Information file.

When Additional Database fields (ADF) is enabled, names included in the BLF list are those entries in the ADF database that match their respective company name in the Company Information file.

More than one member must be in the company for the list to be created. Names included in the BLF list are those entries in the ADF database that match their respective company name in the Company Information file.

Note: A user-created BLF list with the same name as the automatically-generated BLF list will be overwritten by the automatic BLF list.

See Busy Lamp Field Lists for more information.

Parent topic: Busy Lamp Field


Task Flow for BLF Configuration

Follow the steps below to configure BLF:

  • Program the Attendant Busy Lamp Field Display feature in ESM. For more information, see System Features > Features A to B > Attendant > Attendant Busy Lamp Field Display in the MiVoice Business System Administration Help.

  • Enable/Disable Busy Lamp Field Feature

Parent topic: Busy Lamp Field


Configure MiVoice Business for BLF

To set up BLF for the MiVoice Business Console, you must program some options in ESM on the MiVoice Business.

  1. Connect to ESM by clicking on Console File Menu -> Connect to ESM.

  2. Select the Multiline Set Key Assignment form.

  3. Select the Directory number.

  4. Program the corresponding Programmable keys.

  5. Change the Line Type to DSS/Busy Lamp and Ring Type to No Ring.

Parent topic: Busy Lamp Field


Enable/Disable Busy Lamp Field Feature

The Busy Lamp Field feature is enabled by default.

To enable/disable the Busy Lamp Field feature:

  1. Choose Options from the Tools menu.

  2. Click Busy Lamp Field.

  3. Do one of the following:

    • To enable the BLF feature, check the box beside Enable Busy Lamp Field feature.

    • To disable the BLF feature, clear the box beside Enable Busy Lamp Field feature.

  4. For a new installation or upgrade, proceed to set up the shared and private BLF files folders.

Note: At least one of the BLF list folders (private or shared) must be set up for the BLF feature to be enabled.

To set up the shared and private BLF folders:

  1. Choose Options from the Tools menu.

  2. Click Busy Lamp Field.

  3. Enter the directory path for the private BLF files folder by clicking Browse and navigating to the folder:

    C:\Users\<user name>\AppData\Local\Mitel\MiVoice Business Console\BLF_Private

    Note: The BLF list folders can be stored on either a local or a network drive. The Private list folder is typically stored on a local drive, and the Shared list folder on a network drive.

  4. Enter the directory path for the shared BLF files folder by clicking Browse and navigating to the folder, for example, C:\Users\<user name>\AppData\Local\Mitel\MiVoice Business Console\BLF_Shared

    This path must be different than the path entered for the Private folder.

    Note: In steps 3 and 4, enter the paths to the folders only, not to a specific file.

  5. Click OK.

  6. Restart the console.

After you restart the console, you can create private and/or shared BLF lists within the list folders using the Edit BLF List tool. See Busy Lamp Field Lists.

Related Topic
  • Change_the_BLF_Tile_View.html#Change_the_BLF_Tile_View
Parent topic: Busy Lamp Field


Call History

  • About Call History
  • Set Up the Call History Database
  • Configure Call History
Parent topic: Configuration and Administration


About Call History

The Call History feature must be enabled in order to access the Call History database and use the Transfer Assistant feature.

To configure Call History, you must:

  • Set up the Call History database

  • Configure the Call History feature

Parent topic: Call History


Set Up the Call History Database

  • Setting Up Postgres 12.1 Database
  • Upgrading the Postgres Server
Parent topic: Call History


Setting Up Postgres 12.1 Database

The Call History Postgres Database stores all the Call History records for MiVoice Business Console operators.

Note: The Postgres 12.1 Server configuration is valid only for MiVoice Business Console Release 9.1 and above.

Prerequisites

  • A Windows PC that meets the basic Postgres Server requirements. For more information, refer to MiVoice Business Console Installation and Configuration Guide.

  • The server PC's port 5432 must be available to the network and all other MiVoice Business Consoles.

Note:

  • The Postgres server can be installed on one of the MiVoice Business Consoles if required.

  • It is recommended to keep the Server PC on at all times to facilitate the proper functioning of Call History and Transfer Assistant features of all MiVoice Business Consoles.

To set up the Call History Postgres Database

Note: The following steps describe the installation procedure for a 64-bit installer. Refer to the PostgreSQL website for details on 32-bit installer.

  1. Download the Postgres Server Installation package from the website:

    https://www.postgresql.org/download/windows/

  2. Execute the downloaded installation package.

    The Setup wizard appears.

  3. In Setup wizard, under Select Components, clear the Stack Builder check box, and click Next.

    Note: By default, all the check boxes are selected.

  4. Specify the database location and click Next.

    Note: It is recommended to create a sub-folder 12.1 to differentiate between future Postgres Server versions.

  5. Enter a password for the Postgres user and click Next.

    Note: This password is used by Postgres SQL server database administrator when migrating to a newer version of Postgres.

  6. Do not modify the default Port number (5432) and click Next.

  7. Do not modify the default Locale ([Default locale]) and click Next.

    The Summary window is displayed.

  8. Click Next.

    The Ready to Install window is displayed.

  9. Click Next.

  10. After the installation is complete, click Finish.

  11. Open the pgAdmin 4 application to connect to the database server.

    The application displays the current server.

  12. Enter a master password and click OK.

  13. Expand Servers to view currently installed Postgres 12.1 server.

  14. Enter a password and click OK.

  15. Right-click Servers, point to Create, and click Server.

    The Create -Server dialog is displayed.

  16. In the Name field, enter the name of the server. For example, Local Host.

  17. Click the Connections tab, and enter the following details:

    • Host name/address- enter localhost or the DNS name of your remote computer.

    • Port- enter 5432 as the port number.

    • Maintenance database- enter a name for the maintenance database.

    • Username- enter a user name for the server.

    • Password- enter a password for the Postgres user.

  18. Click Save.

  19. Create a role with the name:

    1. Expand Local Host, right-click Login/Group Roles, point to Create, and click Login/Group Role.

      The Create - Login/Group Role dialog is displayed.

    2. In the Name field, enter ipconsoleattendant.
      Note: A new login role must be added before creating the database. The ipconsoleattendant account is used by all consoles for logging in. The same login role can be simultaneously used by all MiVoice Business consoles.
    3. In the Comments field, enter comments for the role.

    4. Click the Definition tab.

    5. Enter password for the role.

      Note: This password is configured on each MiVoice Business Console on Call History option form. If it is an upgrade to a newer Postgres Server, it is recommended to reuse the existing ipconsoleattendant password.

    6. Click Privileges tab and set Yes for all the privileges except Can initiate streaming replication and backups?

    7. Click Save.

  20. Create a database with the name IP_CONSOLE_5550:

    1. Expand Local Host, right-click Databases, point to Create, and click Database.

      The Create - Database dialog is displayed.

    2. In the Name field, enter IP_CONSOLE_5550.

    3. In the Comments field, enter comments for new database.

      Note: Although 5550 IP Consoles are no longer supported, the name IP_CONSOLE_5550 is chosen so that the customers migrating from 5550 IP consoles to MiVoice Business consoles can retain their previous database entries.

    4. Click Save.

      The database IP_CONSOLE_5550 is created.

      Note: The call_history table is created by the first console that connects to the database.

Configure Postgres Network Parameters

The network parameters must be configured on pgAdmin application to provide access for MiVoice Business Consoles on the network.

To set Postgres network parameters:

  1. Open the pg_hba.conf file in the Notepad application.

    Note: Typically, the file is located in the C:\Program Files\PostgreSQL\12\data directory.

  2. Scroll to the bottom of the file and add the network parameters as shown in the following example.

  3. On the File menu, click Save, and close the file.

Configuring MiVoice Business Console

Call History feature must be enabled on MiVoice Business Consoles in the network. For detailed procedure, see Configure Call History.

Backup

To back up the call history database:

  1. Open the pgAdmin 4 application.

  2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550 > Schemas > public > Tables > call_history.

  3. On the Tools menu, click Backup.

    The Backup dialog is displayed.

  4. In the Filename field, enter a file name with the directory location where you want to save the backup file.

  5. Click Backup.

Purge

You must periodically purge the Call History database to improve performance.

To purge call history database:

  1. Open the pgAdmin 4 application.

  2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550 > Schemas > public > Tables > call_history.

  3. On the Tools menu, click Query Tool.

    The Query Editor is displayed.

  4. To retain only the last one year data, in the Query Editor, type delete from call_history where call_time < date(now()) – 365 and click [image] to purge the call history database.

    A dialog is displayed with the result.

Parent topic: Set Up the Call History Database


Upgrading the Postgres Server

You can upgrade the Postgres server to a newer version on the same or a different PC if the PC meets the specifications in the MiVoice Business Console Installation Guide.

Note:

It is recommended to upgrade the Postgres server during minimal MiVoice Business Console activity to prevent loss of Call History data.

Upgrade on the Same PC

To upgrade the Postgres server on the same PC:

  1. Backup the call history database:

    1. Open the pgAdmin3 application.

    2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550.

    3. Right-click IP_CONSOLE_5550 and click Backup.

      The Backup dialog is displayed.

    4. In the Filename field, specify a location to save the backup the backup file.

  2. Install the new Postgres application.

    Note: After you install the new Postgres application, both the old and the new Postgres servers run on the same PC using different listening ports, 5432 and 5433 respectively.

  3. Restore the database:

    1. Open the pgAdmin 4 application.

    2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550.

    3. Right-click IP_CONSOLE_5550 and click Restore.

      The Select file dialog is displayed.

    4. Search and select the backup file you want to restore and click Restore.
  4. Manage databases:

    1. Open the postgresql.conf file in the Notepad application.

      The postgresql.conf file is located in the C:\Program Files\PostgreSQL\12\data directory.

    2. Search for the term “port”, and change “port = line” to “port = 5432”.

      Note: To ensure that there is no port conflict, in the postgresql.conf file of old Postgres server, change the “port” to 5433.

    3. In the search field on the taskbar, type services.mcs.

      The Services window is displayed.

    4. Right-click PostgreSQL 9.6 Server (the Postgres SQL service of the older Postgres server) and click Properties.

      The PostgreSQL 9.6 Server Properties (Local Computer) window is displayed.

    5. In the Startup type list, select Manual, and click OK.

    6. Right-click postgresql-x64- 12 (the Postgres SQL service of the new Postgres server) and click Properties.

      The postgresql-x64- 12 Properties (Local Computer) window is displayed.

    7. Click Stop and then click Start.

      The newer Postgres database is now listening for MiVoice Business Console connections on the default port 5432

    8. Restart the MiVoice Business Console application and ensure that the application is connected to the new database.

    9. Restart the PC, and verify that PostgreSQL 9.6 Server service startup type is manual in the Services window.

    10. It is recommended to uninstall the old Postgres server from the PC through Control Panel > Programs > Uninstall a program.

Upgrade on a Different PC

To upgrade the Postgres server on a different PC:

  1. Backup the call history database:

    1. Open the pgAdmin3 application.

    2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550.

    3. Right-click IP_CONSOLE_5550 and click Backup.

      The Backup dialog is displayed.

    4. In the Filename field, specify a location to save the backup the backup file.

  2. Install the new Postgres application.

    Note:

    After you install the new Postgres application, both the Postgres servers use the listening port 5432.

  3. Restore the database:

    1. Open the pgAdmin 4 application.

    2. Using the left pane, navigate to Server > <Your Server Name (for example, Local Host) > Databases > IP_CONSOLE_5550.

    3. Right-click IP_CONSOLE_5550 and click Restore.

      The Select file dialog is displayed.

    4. Search and select the backup file you want to restore and click Restore.

  4. In the MiVoice Business Console application, update the Database Server Name to the name of the new PC. See Configure Call History.

  5. Restart the MiVoice Business Console application.

  6. Use the Master Profile feature to manage multiple console applications.
Parent topic: Set Up the Call History Database


Configure Call History

To enable the Call History feature

  1. Choose Options from the Tools menu.

  2. Click Call History.

  3. Select the box beside Enable Call History feature.

  4. Enter the Database User Password. This is the password that was created during the Postgres database installation (Setting Up Call History Database).

  5. Enter the Database Server Name. This is the name or IP address of the system that the Call History (Progress) database is running.

  6. Press Test Connection to validate the database connection. If the connection to the database is successful, the following message is displayed "Connection to database server <server name> is successful”. See Database Error Messages for any errors that may display.

  7. Press OK to commit the changes.

  8. Restart the Console in order for the database changes to take effect.

Note: The Response/Status area on the lower right corner of the screen shows the status of the database connection.
Note: You can configure the maximum search results and the prefix digits for outgoing calls. For more information, see Options (Call History).

To Disable the Call History feature

  1. Choose Options from the Tools menu.

  2. Click Call History.

  3. Clear the box beside Enable Call History feature.

  4. Restart the Console for the database changes to take effect.

Parent topic: Call History


MS Office Calendar Integration

  • Configuring MS Office Calendar
Parent topic: Configuration and Administration


Configuring MS Office Calendar

When MS Office Calendar Integration is available, operators can check a destination's calendar and see when he/she is available. For more details on how to use this feature, see MS Office Calendar Integration.

Prerequisites

For this feature to work, the following items must be in place:

  • An Exchange Server must be installed with Microsoft Exchange 2007, Microsoft Exchange 2010, Microsoft Exchange 2013, Microsoft Exchange 2016, or Microsoft Office 365 running in the domain.

  • Each operator must have a Microsoft Exchange account and mailbox on the Microsoft Exchange Server.

  • The e-mail addresses must be configured for the user in the MiVoice Business User and Services Configuration form, or in the ADF file.

To set up MS Office Calendar Integration on the Console

  1. Select Options from the Tools menu and click Calendar.

  2. Select the check box to enable the Calendar Integration feature.

  3. Enter the Microsoft Exchange email address and password for the operator.

  4. In the Exchange Server Address field, enter the name or IP address of the Exchange Server

    OR

    For Microsoft Office 365, enter outlook.office365.com

  5. Test the connection to validate the entered credentials and test that a connection to the Exchange Server can be made.

  6. Press OK or Apply.

Note: For Microsoft Office 365, if multi-factor authentication is enabled, you must create an app password. For more information, see https://docs.microsoft.com/en-us/azure/active-directory/user-help/multi-factor-authentication-end-user-app-passwords.

What you will see

When the changes have been applied, the Check Calendar option is enabled when the operator right-clicks on a directory entry that has a configured e-mail address.

Parent topic: MS Office Calendar Integration


Master Profile

  • About Master Profile
  • About Master Profile Common Settings
  • Task Flow to Configure Master Profile
  • Configure a Console on PC 1 with a Master User
  • Add a Second Non-Master User on PC 1
  • Configure a Console on PC 2 With a Non-Master User
  • Add a Second Non-Master User on PC 2
  • Managing Multiple Masters
  • Updating Master Profile Configuration Settings
  • Using Master Profile to Configure New Features After an Upgrade
  • Disabling Master Profile
Parent topic: Configuration and Administration


About Master Profile

You can share common console settings for multiple users on the same PC or multiple users on different PCs using the Master Profile feature. This eliminates the need to enter settings multiple times when additional consoles are installed, new console users log into an existing console or when subsequent configuration changes are made.

Two basic configurations are supported:

  • Sharing of common settings between multiple users that log into the same PC.
  • Sharing of common settings between multiple users that log into different PCs.
Note: Roaming profiles (the ability for a user to log into different PCs and retain their individual settings) is not supported.

When Master Profile is enabled, two XML files are used to hold common settings:

  • Configuration Wizard XML file

    Configuration Wizard settings entered during the Configuration Wizard are stored automatically in an XML file found at:

        C:\ProgramData\Mitel\MiVoice Business Console\Config\ConfigWizardSettings.xml.
    The Configuration Wizard XML file is automatically imported when any user runs the console on the PC.All Configuration Wizard settings, with the exception of Administrative Access and Master Profile Write Access are stored in this file.
  • Master Profile XML file

    Console application settings entered during configuration of the console application are stored in the Master Profile XML file defined when the Configuration Wizard was run.

    The settings written to the Master Profile XML file are selected within the Master Profile Options panel and written when the Generate Master Profile button is pressed. Only a user that has been given Master Profile Write Access within the Configuration Wizard can generate the Master Profile.

    The Master Profile XML file is automatically imported when any user runs the console on a PC that been configured to use the same Master Profile file.

    Note: To share the Master Profile file between users on different PCs, the file must be placed at a location that is accessible by all consoles that need it. The MiVoice Business or MiVoice Border Gateway cannot host the Master Profile file.

On importing of the common settings, the console updates the settings within the user’s registry on the PC. If the file is not accessible, the console starts with the last recorded settings. If a field within the file has an error the field is ignored and a software log is generated. In both cases, the master profile status is updated to reflect the error condition. See Master Profile for more information on Master Profile status conditions.

Parent topic: Master Profile


About Master Profile Common Settings

Most configuration settings can be saved to the Master Profile XML file. User-specific settings such as window positions/sizes, column inclusions/widths/positions etc, cannot be included in the Master Profile. These settings are retained for each user individually and applied each time the user starts the console.

Settings that have not been selected as part of the Master Profile are retained for each user individually and applied each time the user starts their console.

Some settings, such as calendar and user messaging credentials are typically maintained on a per-user basis, however can be included in the Master Profile if needed. For example, if you have multiple operators that share reception desk duties, you may wish to have them share common credentials.

While audio device settings can be shared across different PCs, audio devices plugged into the PC must register using the same identification for the device to automatically come into service when the console is started. If the device is not recognized, the operator will need to select the device in the audio panel after the console is started.

Parent topic: Master Profile


Task Flow to Configure Master Profile

Task Flow to Configure Master Profile

To configure Master Profile, one console must be designated as the master. This master is responsible for initial configuration and any subsequent updates of shared settings. A non-master can import the Master Profile, but does not have the ability to update the Master Profile.

Follow the steps below to configure the Master Profile feature:

  • Configure a Console on PC 1 with a Master User

  • Add a second non-master user on PC 1

  • Configure a Console on PC 2 With a Non-Master User

  • Add a second non-master user on PC 2

  • Managing multiple masters

  • Updating Master Profile configuration settings

  • Using Master Profile to configure new features after an upgrade

  • Disabling Master Profile

Parent topic: Master Profile


Configure a Console on PC 1 with a Master User

To configure a console on a PC with a master user:

  1. Log onto the PC 1 as User 1.

  2. Install the console software as described in the installation guidelines and configure the Master Profile page in the Configuration Wizard as follows:

    • Enable the Master Profile feature by selecting the path and file name for the shared Master Profile file.

    • Designate this console user as the master by selecting the check box to enable Master Profile Write Access.

    Note: When Master Profile is enabled, the Configuration Wizard creates an XML file containing Configuration Wizard settings. These settings are shared with other users on the PC and include all enterable Configuration Wizard options with the exception of Administrative Access and Master Profile Write Access. The XML file can be found here:
    C:\ProgramData\Mitel\MiVoice Business Console\config\ConfigWizardSettings.xml

    All windows users that log into this PC share these Configuration Wizard settings.

  3. After completing the initial Configuration Wizard setup, start the console. The console will import the Configuration Wizard settings and console application settings will be set to default values. The Master Profile Status in the status area will display the red icon ( [image]) indicating that the Master Profile file has not been generated.

  4. Now, configure the console application settings, such as the options panels, directory administration panels, menu selections, call handling toolbar buttons, etc. and validate your configuration settings. Note that changes that are made are written to the registry for the logged in user, but are not yet available for other users. The status area will display a red icon ( [image]) indicating that changes made have not been saved to the Master Profile.

  5. To generate the Master Profile:

    1. Open Master Profile Options panel.

    2. Click on the configuration settings (or group of configuration settings) you wish to share, and click the Generate Master Profile button. This will create a Master Profile XML file containing the shared console settings in the location you specified during the Configuration Wizard. You will still see the red icon ( [image]) indicating that the console should be restarted.

    3. Restart the console. When the console starts up it will import the Configuration Wizard XML file and the Master Profile XML file and the Master Profile Status in the status area will display a green icon ( [image]). If for any reason the Configuration Wizard or Master Profile XML file cannot be imported, the Master Profile Status in the status area will display the red icon ( [image]) indicating the error condition.

  6. Close the console and log out user 1.

Parent topic: Master Profile


Add a Second Non-Master User on PC 1

To set up a second non-master user on a PC that has console software installed and Master Profile enabled:

  1. Log onto PC 1 as User 2.

  2. Start the console. When the console starts up it will import the Configuration Wizard XML file and the Master Profile XML file created by User 1.The Master Profile Status in the status area will display the green icon ( [image]).

    If for any reason the Configuration Wizard or Master Profile XML file cannot be imported, the Master Profile Status in the status area will display the red icon ( [image]) indicating the error condition.

  3. Configure any user-specific settings that were not included in the Master Profile.

  4. Close the console and log out user 2.

Parent topic: Master Profile


Configure a Console on PC 2 With a Non-Master User

To configure a console on a second PC with a non-master user:

  1. Log onto PC 2 as User 3.

  2. Install the console software as described in the installation guidelines and enable Master Profile within the Configuration Wizard by selecting the path and file name of the shared Master Profile file

    Note: When Master Profile is enabled, the Configuration Wizard creates an XML file containing Configuration Wizard settings. These settings are shared with other users on the PC and include all enterable Configuration Wizard options with the exception of Administrative Access and Master Profile Write Access. The XML file can be found here:
    C:\ProgramData\Mitel\MiVoice Business Console\config\ConfigWizardSettings.xml

    All windows users that log into this PC share these Configuration Wizard settings.

  3. After completing the Configuration Wizard setup, start the console. When the console starts up it will import the Configuration Wizard XML file created by User 3 and the Master Profile XML file created by User 1. The Master Profile Status in the status area will display the green icon ( [image]).

    If for any reason the Configuration Wizard or Master Profile XML file cannot be imported, the Master Profile Status in the status area will display the red icon ( [image]) indicating the error condition.

  4. Configure any user-specific settings that were not included in the Master Profile.

  5. Close the console and log out user 3.

Parent topic: Master Profile


Add a Second Non-Master User on PC 2

To add a second non-master user on a PC that has console software installed and Master Profile enabled:

  1. Log onto PC 2 as User 4.

  2. Start the console. When the console starts up it will import the Configuration Wizard XML file created by User 3 and the Master Profile XML file created by User 1. The Master Profile Status in the status area will display the green icon ( [image]).

  3. If for any reason the Configuration Wizard or Master Profile XML file cannot be imported, the Master Profile Status in the status area will display the red icon ( [image]) indicating the error condition.

  4. Configure any user-specific settings that were not included in the Master Profile.

  5. Close the console and log out user 4.

Parent topic: Master Profile


Managing Multiple Masters

You can re-run the Configuration Wizard to enable Master Profile Write Access for other users on a PC. This may be useful in cases where different lead operators share a PC at different times and need the ability to perform an ESM Directory Sync or update the Master Profile configuration.

Caution: If you configure multiple masters on different PCs, it is possible that configuration settings saved by one master could be overwritten by another master. For troubleshooting purposes, backup files are retained in the Master Profile location each time a master profile is generated. The name of the user that generated the Master Profile XML file and the date and time that the file was generated is stored within each XML file and in the file name of the backup files. To use an older XML file, simply rename a file to match the file name configured within the Configuration Wizard.

Parent topic: Master Profile


Updating Master Profile Configuration Settings

Once Master Profile has been enabled in your environment, you can modify configuration within the Master Profile as follows:

  1. Log into PC 1 as User 1 (the master).

  2. Start the console.

  3. Change the configuration of a feature as needed.

  4. Within the Master Profile options panel, check or uncheck selections as needed and click the Generate Master Profile button. The newly generated master profile retains the original name. The backup copies of the previous master profile retain the user's name, date and time in the file name.

  5. Restart the console and verify that the Master Profile Status in the status area displays a green icon ( [image]). The restart is required ensure there are no issues after importing the new settings.

The new configuration will be imported when users start their console.

Note: If common settings are changed on a non-master console, the Master Profile Status will display a red icon ( [image]) indicating that changes made may be overwritten on the next restart.
Parent topic: Master Profile


Using Master Profile to Configure New Features After an Upgrade

Once Master Profile has been enabled in your environment, you can use Master Profile to simplify configuration of new features after upgrades as follows:

Upgrade the console software as described in the installation guidelines on all PCs that share the master profile.

  1. Log into PC 1 as User 1 (the master).

  2. Start the console.

  3. Configure the new feature.

  4. Within the Master Profile options panel, check the new feature configuration item(s) and click the Generate Master Profile button.

  5. Restart the console and verify that the Master Profile Status in the status area displays a green icon ( [image]).

The new configuration will be imported when users start their console.

Note: If the console is running an earlier version of software, new fields within the master profile are ignored.
Parent topic: Master Profile


Disabling Master Profile

You can disable Master Profile at any time as follows:

  1. Log onto each PC that shares the master profile.

  2. Run the Configuration Wizard to disable Master Profile as follows:

    • Remove the path and file name for the shared Master Profile file

    • Deselect the check box to disable Master Profile write access (if selected)

  3. Start the console. When the console starts up it will import the Configuration Wizard XML file and the console will start with Master Profile disabled.

Now when other users start the console on the same PC, Master Profile will be automatically disabled when users start their console.

Parent topic: Master Profile


Multiple Company Directory

  • About the Multiple Company Directory
  • Task Flow for Multiple Company Directory
  • Preparing Company Directory Files
  • Configuring the Console
  • Restrictions and Conditions
Parent topic: Configuration and Administration


About the Multiple Company Directory

The MiVoice Business Console can be connected to a

  • the ANI/DNI-based Solution
  • the Call Rerouting-based Solution

ANI/DNI-based Solution

From the Console point of view, it is the Automatic Number Identification (ANI) and Dialed Number Identification (DNI) information that is important. Automatic Number Identification (ANI) and Dialed Number Identification Service (DNIS) identify numbers that are transmitted on an incoming trunk from the Central Office (CO).

ANI provides the caller's telephone number (and name if supported); DNIS provides the number dialed by the caller. The ANI/DNIS/ISDN Number Delivery feature allows the system to identify and use these digits when they are received.

When ANI/DNI is enabled on the MiVoice Business, the MiVoice Business Console places the ANI number in the Console Name field. The DNI number is placed in the Console's Number field. The ANI/DNI names, if available from the external trunk line, are removed in order to deliver the two numbers (ANI/DNI) to the MiVoice Business Console.

The Multiple Company Directory feature takes advantage of the DNI number information and presents the MiVoice Business console operator with Company Greeting information.

The Multiple Company Directory feature relies on the MiVoice Business being configured to display both the ANI and DNI numbers on the MiVoice Business Console display.

The information that appears on the display is obtained from the Company Information CSV file. See Configure Directory Data and Mapping Files for more information.

For detailed information on ANI/DNIS programming on the MiVoice Business and the MiVoice Business Console, see the Multiple Company Directory help topic in the MiVoice Business System Administration Tool help.

Call Rerouting-based Solution

Multiple Company Directory can be programmed using a method that doesn't require DNI service to the MiVoice Business. This method uses the MiVoice Business Call Rerouting-based Solution.

Overview

  • The Multiple Company Directory Greeting information is only displayed when the call is actually answered.

  • In other words, there is no Greeting or other additional company information in the Incoming Calls queue.

  • The Caller's Number and Name (if provided by the Trunk line) are displayed in the Source window upon Answer.

  • This differs from the ANI/DNI solution where the ANI number is displayed in the Name field and the DNI number is displayed in the Number field. In other words, the benefit of this approach is that the Caller’s name is presented.

  • DNI service to the MiVoice Business is not required.

  • Depending on the MiVoice Business programming, the displayed Company Number in the Configurable Source Panel may not match the actual number dialed by the Caller.

  • The MiVoice Business programming required to achieve the Multiple Company Directory using Call Forward - Busy requires an IP set license on an IP set that provides the Call Forward - Busy condition.

  • The IP set itself will not be usable as this set is configured to always be busy (always in DND).

Introduction to Programming the MiVoice Business

  • The answer point for incoming trunk calls requires the ability to forward calls to the MiVoice Business Console when deemed busy or in DND.

  • The MiVoice Business Console upon answering this forwarded call must display the call as a Call Forwarded - Busy call.

  • When in Multiple Company Directory mode, the MiVoice Business Console will detect this answer situation and utilize the forwarded number as the basis for the Company Number.

Parent topic: Multiple Company Directory


Task Flow for Multiple Company Directory

Follow the procedures below for configuring the Multiple Company Directory feature.

Preparing the Company Directory Files

  • Configure Directory Data and Mapping Files

  • Configure the Company Information File

Configuring the Console

  • Enable Multiple Company Directory Feature

  • Specify Location of Company Information File

  • Configure Phone Book Lookup on Answer

  • Configure Incoming Call Directory Lookup

Program MiVoice Business for Multiple Company Directory

For detailed information on programming the MiVoice Business for the for Multiple Company Directory, see the Multiple Company Directory help topic in the MiVoice Business System Administration Tool Help.

Parent topic: Multiple Company Directory


Preparing Company Directory Files

  • Configure Directory Data and Mapping Files
  • Configure Company Information File
  • Configure Incoming Call Directory Lookup
Parent topic: Multiple Company Directory


Configure Directory Data and Mapping Files

To support the Company information required for the Multiple Company Directory feature, a new Company Information file must be created, and the ADF Mapping file must be updated to include company information, or the COM field type. See About the Additional Database Fields Feature for more information on ADF.

ADF Mapping and Data Files

The ADF mapping file must contain a field with the type COM (short for company). The ADF version number must be Version 4 (or higher) to denote the inclusion of a new field type (COM).

Entries in the ADF mapping file must be populated with the appropriate company name. The length of the company name falls under the same maximum field length of 100 characters.

An example ADF mapping file would look like this:

A corresponding example data file would be populated as shown:

The last field entry in the mapping file is of Field Type COM, with the Field Header label Company. The corresponding data file has two different company names in the last field: Sean Co. and XYZ Corp.

Related Topics
  • Configure Company Information File
Parent topic: Preparing Company Directory Files


Configure Company Information File

The Company Information File (CompanyInfo.csv) is typically a Comma Separated Variables (CSV) file that contains Company-related information. Under the proper conditions, information in this file is provided to the Console Operator under various user scenarios.

Note: An example CompanyInfo.csv file is found in C:\ProgramData\Mitel\MiVoice Business Console\config\CompanyInformation.

The CompanyInfo.csv file is a fixed format file with the fields described below. Not all fields are required. Mandatory fields are noted below. The Company Information filename can be anything, but the .csv extension is recommended.

  • Company ID - Mandatory Field

    This is a unique ID for each entry within this file. This field could be as simple as a 1-digit number or as complex as a GUID (Globally Unique Identifier).

  • Company Dialed Number - Mandatory Field

    This field represent the Company’s telephone number. This corresponds to the digits dialed by the caller to reach this company, for example, 3032463901. Do not use spaces, blanks, or brackets. For the proper operation, use only telephony digits.

  • Company Name - Mandatory Field

    This field is the name of the company for look-up and display purposes, for example, XYZ. It is important to uniquely name each Company in order for the Phonebook Lookup upon Answer feature to work correctly. See Restrictions and Conditions.

  • Company Instructions

    This field is the Greeting or an instruction to be used by the Console Operator when the call is answered, for example, "XYZ

  • Company Comment

    This field is used for any relevant comments for that company, for example, “Please take messages.”

Redundant Company IDs entries are ignored (that is, the first one is used; the duplicate entries are ignored). Redundant Company Dialed Numbers are also ignored. The example items are shown below.

The CompanyInfo.csv file has the first actual Company entry on line 4. The previous line usage is as follows:

  • Line 1: Instructions

  • Line 2: Example entry; non-working

  • Line 3: Fixed Field format

  • Line 4: First actual working entry

  • Line 5+: Remaining entries

Parent topic: Preparing Company Directory Files


Configure Incoming Call Directory Lookup

Conditions

For this feature to work, the following conditions must be met:

  • The calling ANI number must be a minimum of 8 digits.

  • The incoming ANI does not provide a name already (this covers a lot of cell/mobile phone numbers). In other words, the incoming ANI number is valid (non-blank) but the incoming ANI name is not provided, empty or blank.

  • The calling ANI number must be present in the ADF data file. Its respective column type must be one of "PHN” or "PPHN”, as defined in the ADF mapping file. See Creating the Directory Files for more information.

  • The searched number must result in only one unique directory match within the ADF data file.

Console Side

  • Call to console 55010 form console 185006(7615000).

  • When the Call Answered at console 55010, console Source panel will display following information:

    • Dialed No. 6137615000

    • Name Mansbridge Annie (Mobile Number)

    • Number 7615000

Parent topic: Preparing Company Directory Files


Configuring the Console

  • Enable Multiple Company Directory Feature
Parent topic: Multiple Company Directory


Enable Multiple Company Directory Feature

To enable Multiple Company Directory

  • From the Directories menu, choose Multiple Company Directory.

    A check mark indicates if Multiple Company Directory is enabled.

Parent topic: Configuring the Console


Restrictions and Conditions

The following recommendations, restrictions and conditions apply to the Multiple Company Directory feature.

Phone Book Lookup on Answer Recommendations

The Phone Book Lookup on Answer feature provides the Console Operator with a selected company directory when an incoming ANI/DNI call is answered.

The company name found in the CompanyInfo.csv files must match exactly (case sensitive) the ADF company data field in order for the Phone Book Lookup upon Answer feature to work correctly. For example, the name “Burt's Bees” in the CompanyInfo.csv file must match the contents of a directory record's “Company” field, also “Burt's Bees”

It is highly recommended that every company name in the CompanyInfo.csv file be uniquely searchable.

For example, when company names overlap, if there were another company called “Burt's”, and an incoming call for Burt's comes in, the Phone Book Lookup on Answer feature would present all numbers for both “Burt's” and “Burt's Bees”. The solution would be to change “Burt's” to “Burt's Inc.” to prevent the overlapping of names.

MiVoice Business and MiVoice Business Console DNI length restriction

The MiVoice Business and MiVoice Business Console only support 7 unique DNI digits. This changes to 10 digits if only one MiVoice Business node is used for both incoming trunk lines and operator consoles.

A match will find a number that “ends with” the 7 DNI digits supported by the MiVoice Business and MiVoice Business Console. The Multiple Company Directory feature will not work correctly for sites that have duplicate “ends with” 7 digits. (This changes to 10 digits for the single node case). The Multiple Company Directory feature will always use the first “ends with” match in the case of duplicate DNI numbers.

Duplicate DNI Entries

The user will be notified of the “duplicate” entries in the CompanyInfo.csv file via the MiVoice Business Console Status bar (along the bottom of the application) when the feature encounters a “duplicate” situation. It will state: “Duplicate Company Number found in the Company Information file.”

Missing Company Information file

The Company Information file is only used when the MiVoice Business Console has Multiple Company Directory enabled. If the MiVoice Business Console application cannot locate the Company Information file, while Multiple Company Directory mode is enabled, it will inform the Console Operator via an error message “Cannot locate Company Information file” at the bottom of the application.

Parent topic: Multiple Company Directory


Phone Book Directory

  • About the Phone Book Directory
  • MiVoice Business Directory Mode
  • Additional Database Fields (ADF) Directory Mode
Parent topic: Configuration and Administration


About the Phone Book Directory

The MiVoice Business Console supports two modes of operation for Phone Book Directory search and console display purposes.

  • MiVoice Business Directory mode – this is the default mode of operation of the console. See About MiVoice Business Directory Mode for more information.

  • Additional Database Fields (ADF) Directory mode – this is an enhanced directory capability that the console can use instead of using the default MiVoice Business Directory. See About ADF Directory Mode for more information.

Parent topic: Phone Book Directory


MiVoice Business Directory Mode

  • About MiVoice Business Directory Mode
  • Configure the Console to use MiVoice Business Directory Mode
  • MiVoice Business Directory Configuration Guidelines
Parent topic: Phone Book Directory


About MiVoice Business Directory Mode

With the MiVoice Business Directory mode, the MiVoice Business supplies all directory information to the console. Prior to Release 8.0, this information was restricted to information within the Telephone Directory form. Release 8.0 onwards, this information also includes certain fields from the User and Services Configuration form. These additional fields enable advanced capabilities such as User Messaging and Calendar Integration by default.

The directory information provided to the console includes the following:

  • Name

    This is either the user’s first and last name as configured in the User and Services Configuration form or the name field from the Telephone Directory form. Telephone Directory names are applicable for non-user entities, such as hunt groups, speed calls, external numbers and so on. Names used for call display can be obtained from an LDAP server if the MiVoice Business Multilingual Name Display using External LDAP feature is configured. For more information, see System Administration Tool Help.

  • Number

    This is the number field from the Telephone Directory form.

  • Private Number Indication

    This is the privacy field from the Telephone Directory form.

  • Department

    This is the department field from the Telephone Directory Form.

  • Location

    This is the location field from the Telephone Directory Form.

  • Email

    This is the email field configured for a user in the User and Services Configuration Form.

  • Prime Phone Service

    This field is determined by the prime phone service field for the user in the User and Services Configuration Form.

Note: Additionally, User GUID and Telephone Directory Name fields are available for the Phone Book. These fields are not visible by default. They can be made visible for troubleshooting purposes.

MiVoice Business Directory information is also used for display in other areas of the console, including Source and Destination areas, the Queued Calls area, and Busy Lamp Field. Note that the Call History and the Transfer Assistant display the names recorded at the time the call history record is generated.

For more information see Configure the Console to user MiVoice Business Directory Mode.

Parent topic: MiVoice Business Directory Mode


Configure the Console to use MiVoice Business Directory Mode

The MiVoice Business Directory mode is the console’s default directory mode and does not require configuration to enable. If your console is running in ADF mode and you wish to switch to the MiVoice Business Phone Book Directory mode, disable the Additional Database Fields Feature check box in the Directory Administration Configuration panel.

The following additional configuration is available within the Directory Administration Configuration panel if performance optimization is needed:

  • You can adjust the number of search results that the console requests from the MiVoice Business. The larger the number of search results requested, the more CPU required on the MiVoice Business. This may need tuning if you are using a very large MiVoice Business Directory, have a large number of active consoles, or your MiVoice Business has a high call volume.

  • You can also adjust the length of time the console caches Phone Book search results. If a user name is not in the console cache, the console displays the telephone directory name supplied by the MiVoice Business during call setup while it queries for the User and Services Configuration form name. If the operator notices a delay in the name display within the console you can increase the length of time entries are persisted in cache. If you have frequent updates to the MiVoice Business Directory you may wish to reduce the length of time.

    Note: The console starts with an empty cache so delays in name display may occur until the cache is populated.

See MiVoice Business Directory Configuration Guidelines for more information.

Parent topic: MiVoice Business Directory Mode


MiVoice Business Directory Configuration Guidelines

To configure the directory in the MiVoice Business:

  • Configure user directory information in the User and Services Configuration form.

  • Configure non-user directory information in the Telephone Directory form.

  • Set the Include in Phone Book option to No in the Telephone Directory form for entries you wish to hide from Phone Book search results. The following entries are automatically configured when the Include in Phone Book is set to No.

    • Devices with an IP Device Only Service Level

    • Devices with a Multi-Device Service Level that are not the prime member of an Multi-Device Group

    Note: An entry that is excluded from the Phone Book Directory is still available for call display.
    Note: If you are using an ADF file based on the Telephone Directory the Include in Phone Book option is not applicable until you convert to a Phone Book Based ADF file.

Directory Name Configuration Tips:

If the Telephone Directory names and User and Services Configuration form first and last names in ESM are inconsistent, the operators may experience problems searching for names. It is recommended that the User and Services Configuration form be used to enter user names. This auto populates a consistent telephone directory “Last name, First name” format when you enter the First and Last name fields.

Entries made directly in the Telephone Directory form should be made in “Last name, First Name” format to ensure consistency with names created through the User and Services Configuration form.

In cases where transliteration of UTF8 characters to an ASCII equivalent cannot be done, the User and Services Configuration form auto populates dashes in the telephone directory name making searching for the name difficult. In this case, it is recommended that the directory name be modified to an ASCII “nick name” that the operator can search on. Alternatively, an ADF Standalone Directory can be used.

For more information on configuration of the MiVoice Business, refer to the MiVoice Business System Administration Help.

Parent topic: MiVoice Business Directory Mode


Additional Database Fields (ADF) Directory Mode

  • About ADF Directory Mode
  • Phone Book Directory based ADF
  • Standalone ADF
  • Incoming Call Directory Lookup
  • Sychronization Status and Tooltips
Parent topic: Phone Book Directory


About ADF Directory Mode

The Additional Database Fields (ADF) feature provides an enhanced directory capability that the console can use instead of using the built-in MiVoice Business Directory.

When the ADF feature is enabled, external comma separated value (CSV) data and mapping files are used to define the directory database that the console uses to populate information within the Directories, Queued Calls, and Source and Destination areas. These fields can be customized to provide additional information that the operator may need access to, such as license plate numbers, home phone numbers, emergency contact, etc.

The ADF data file can be created from a MiVoice Business Directory or can be completely independent of the MiVoice Business Directory. The following options are available:

  • Phone Book Directory based ADF: From Release 8.0 onwards, ADF files can be created based on an ESM Phone Book Directory export. The files can then be customized to add additional directory fields. The console can also be configured to synchronize periodically with scheduled ESM Phone Book Directory exports. Synchronization automatically aligns the ADF entries with the ESM Phone Book directory entries, retaining the additional data fields for entries with matching keys. To configure ADF in this mode, see Create Phone Book Directory based ADF Files and Configure a Console to use ADF.

  • Telephone Directory based ADF: Prior to Release 8.0, the ADF files could be based on an ESM Telephone Directory Export and periodically synchronized with the MiVoice Business. After upgrading to Release 8.0, the Telephone Directory synchronization continues to work, however it is recommended that a conversion to the ESM Phone Book Directory export should be done. To configure ADF in this mode, see Convert from Telephone Directory based ADF to Phone Book Directory based ADF. To synchronize your ADF files see Synchronize ADF Files with the MiVoice Business.

  • ADF as a standalone directory: ADF files can also be managed as a standalone directory. ADF files in this case are not synchronized with the MiVoice Business Directory. To configure ADF in this mode, see Create and customize ADF files.

In ADF mode, names configured in the ADF data file are used for call display. If a name does not exist in the ADF file, the name can be obtained from an external LDAP server if the Multilingual Name Display using External LDAP feature is configured. For more information, see System Administration Tool Help.

  • Note: ADF is not suitable for hotel/motel operators where frequent MiVoice Business telephone directory updates are made when the guests check-in or check-out.
Parent topic: Additional Database Fields (ADF) Directory Mode


Phone Book Directory based ADF

  • Create Phone Book Directory based ADF Files
  • Synchronize Phone Book based ADF Files with the MiVoice Business
  • Configure a Console to Use ADF
  • Convert from Telephone Directory based ADF to Phone Book Directory based ADF
Parent topic: Additional Database Fields (ADF) Directory Mode


Create Phone Book Directory based ADF Files

To start using ADF, you have to create the ADF data and mapping files for the console to use. Follow this procedure to create ADF files that align with a MiVoice Business Phone Book Directory export:

  1. Create an ADF folder on a local or shared drive.

    Note: You may choose the same or a different folder for your ADF data and mapping files as well as your MiVoice Business Phone Book export file.

  2. Copy the example ADF data and map CSV files from C:\ProgramData\Mitel\MiVoice Business Console\config\Example ADF Files\PBSync to your ADF folder.

  3. Export The MiVoice Business ESM Phone Book Directory that your ADF data file will be based on.

    • Schedule a Once-only CSV FTP Phone Book Export on the MiVoice Business. (see the topic Scheduler in the MiVoice Business System Administration Help)

    • Copy the exported file to your ADF folder. Ensure the file name is pre-pended with 'PB'.

  4. Configure ADF on the MiVoice Business Console:

    Note: You will need Administrative Access enabled to perform an ESM sync operation. If it is not already enabled, re-run the configuration wizard to select the option. Administrative access is only needed on the console that is designated to perform the sync operations.

    • In the Directory Administration Configuration panel

      • Enable the Additional Database Fields Feature option.

      • Configure the Directory Data and Mapping files by clicking the browse button to locate your ADF folder and selecting the file.

    • In the Directory Administration Maintenance panel

      • Configure the ESM Directory Synchronization export file location by clicking the browse button to locate the ADF folder.

      • Click the Synchronize Now button.

        • A dialog box is displayed informing you of how many matches were identified, as well as the total number of entries in each file. Press Continue to start the actual synchronization process.

        • Upon completion, your console displays the resulting columns in the console’s Phone Book area.

        • An un-matched entries CSV is created containing the entries that were removed during the sync operation.

          Note: It is recommended that the console be placed in absent mode prior to performing a Synchronize Now operation, since the console will not be able to manage calls for the duration of the process.

  5. Customize the ADF files:

    • Use Excel or another any similar editor to edit the map file columns as follows:

      • Ignore unwanted columns by changing the field type in row 5 to IGN. Note that the FN, DN, TDN and GUID columns are mandatory key fields needed to match entries in subsequent ESM Directory Sync operations, so do not modify the field type of these columns.

      • Add additional columns to the right of other columns by entering the field name in row 4 and the field type in row 5.

      • Customize column header names in row 4 to reflect the names you wish to display in the Phone Book and Busy Lamp Field areas.

      • Save the map file as a CSV (Comma Delimited) file.

      See Create an ADF Mapping File for more details about the ADF mapping file.

    • Use Excel to edit the data CSV file columns as follows:

      • Add new columns in the same order as the map file columns by entering the field name in row 1.

      • Enter new column data for each entry in the data field.

      • Save the data file as a CSV (Comma delimited) file.

      See Create an ADF Data File for more details about the data file.

    • Test your customized ADF files by clicking the Reload Now button in the Directory Maintenance panel of the console.

    • After you have completed the ADF file setup, you are ready to set up automatic synchronization with the MiVoice Business. See Synchronize ADF Files with the MiVoice Business for details.

Parent topic: Phone Book Directory based ADF


Synchronize Phone Book based ADF Files with the MiVoice Business

You can schedule a synchronization between the current ESM-based ADF data file and the newly-exported ESM Directory file to create an updated ADF data file.

Note: If you are currently synchronizing your ADF files with a Telephone Directory export, see Convert from Telephone Directory based ADF to Phone Book Directory based ADF.

Follow this procedure to schedule a synchronization of your ADF data file with a new ESM Phone Book Directory:

  1. Schedule a daily Phone Book Directory Export on the MiVoice Business.

    • Schedule a daily Phonebook CSV FTP Export on the MiVoice Business, see the topic Scheduler in the MiVoice Business System Administration Help.

    • Copy the exported file to your ADF folder. Ensure the file name is pre-pended with ‘PB’.

  2. Schedule a daily synchronization on the MiVoice Business Console.

    Note: You will need Administrative Access enabled to perform an ESM sync operation. If it is not already enabled, re-run the configuration wizard to select the option. Administrative access is only needed on the console that is designated to perform the sync operations.

    • Ensure the data and mapping files are configured in the Directory Administration Configuration Panel. If they are not already configured:

      • Enable the Additional Database Fields Feature option.

      • Configure the ADF Data file by clicking the browse button to locate your ADF folder and selecting the data file.

      • Configure the ADF Mapping file by clicking the browse button to locate your ADF folder and selecting the mapping file.

    • Ensure the ESM Directory Synchronization folder is configured in the Directory Administration Maintenance Panel. If it is not already configured:

      • Configure the ESM Directory Synchronization export file location by clicking the browse button to locate the ADF folder.

        Note: You may choose the same or different folders for your ADF data and mapping files as well as your MiVoice Business Phone Book export file.

    • Select the Schedule Synchronization check box and configure the time you wish the synchronization to occur (in 24 hour clock format).

      • Note: Ensure that it is scheduled at a time later than the scheduled export from ESM.

  • Select the Load ADF Directory Data Schedule check box and the interval to automatically reload the ADF databased on the time entered, for example, once every 5 minutes.

    Note: In the bottom right corner of the status bar, icons indicate the various states during a synchronization process. See Synchronization Status and Tooltips.
    Note: You can also use Directory Administration Maintenance panel Synchronize Now button to perform an immediate synchronization and Reload Now button to load the updated directory file into the console if you need to update the data outside of the scheduled time.

  • After you have completed your synchronization, you are ready to configure other consoles for ADF. See Configure the console to use ADF for more details.

Parent topic: Phone Book Directory based ADF


Configure a Console to Use ADF

Follow this procedure to set up a console to use existing ADF files:

  1. Ensure your ADF file folder is shared so that other consoles can access the ADF directory.

  2. In the Directory Administration Configuration panel:

    • Enable the Additional Database Fields Feature option.

    • Configure the ADF Data file by clicking the browse button to locate your ADF folder and selecting the data file.

    • Configure the ADF Mapping file by clicking the browse button to locate your ADF folder and selecting the mapping file.

  3. Configure the comments file location in the Directory Administration Configuration panel. To enable the same comments information for all consoles, ensure the comments folder is shared.

  4. In the Directory Administration Maintenance panel, select the Load ADF Directory Data Schedule check box and the interval to automatically reload the ADF databased on the time entered, for example, once every 5 minutes.

    Note: You can also use Directory Administration Maintenance panel Reload Now button to load the directory file into the console. You may wish to do this if you will be removing columns in the console's Phone Book and Busy Lamp Field display.
Tip: Operators may want to use the Phone Book Search All feature to enable searching of all fields within the directory.
Parent topic: Phone Book Directory based ADF


Convert from Telephone Directory based ADF to Phone Book Directory based ADF

If you are currently using Telephone Directory based ADF files it is recommended that you convert to Phone Book Directory based ADF files to take advantage of the additional information available within the MiVoice Business.

A convert from a Telephone Directory is performed when you click the Synchronize Now button in the Directory Administration Maintenance panel if there is an exported ESM Phone Book directory file in the ESM Directory Synchronization folder.

To convert from Telephone Directory based ADF to Phone Book Directory based ADF

  1. Ensure you have Administrative Access enabled to perform an ESM sync operation. If it is not already enabled, re-run the configuration wizard to select the option.

  2. Create a new ADF folder on a local or shared drive.

  3. Copy your existing ADF data and mapping files as well as your comments file from the existing folders to the new ADF folder.

  4. Export The MiVoice Business ESM Phone Book Directory.

    • Schedule a Once-only CSV FTP Phone Book Export on the MiVoice Business. See the topic Scheduler in the MiVoice Business System Administration Help.

    • Copy the exported file to your new ADF folder. Ensure the file name is pre-pended with ‘PB'.

  5. In the Directory Administration Configuration panel of your console, select the new ADF folder for your data, mapping, and comments files.

  6. In the Directory Administration Maintenance panel select the new folder for the ESM Directory Synchronization location and click the Synchronize Now button. A dialog box will be provided indicating that a conversion will be performed and informing you of how many matches were identified, as well as the total number of entries in each file. Press Continue to start the synchronization process.

    Note: It is recommended that the console be placed in absent mode prior to performing a Synchronize Now operation, since the console will not be able to manage calls for the duration of the process.
    Note: Upon completion of the synchronization, the ADF data and mapping files are converted to add new fields from the MiVoice Business and remove the entries that were excluded from the phonebook.

  7. Test your new ADF files. You will see the following changes to your phone book columns:

    • Name – The existing name field that represented the full telephone directory name prior to the conversion will hold the first name from the User and Services Configuration form if configured, otherwise it will hold the first name portion of the Telephone Directory form name. Note that if the telephone directory name is not in ‘last name, first name’ format, the full telephone directory name is populated in this field. See MiVoice Business Directory Configuration Guidelines for more information.

    • Last – This new field will hold the last name from the User and Services Configuration form if configured, otherwise it will hold the last name portion of the Telephone Directory form name.

    • Email – This new field will now contain the email field from the User and Services Configuration Form. If your ADF file already has an existing field with the name Email, it is retained and the column number from the ADF mapping file is added to the new email field name (eg. Email 13).

    • Prime Phone Service – This new field is determined by the prime phone service field for the user in the User and Services Configuration Form (if applicable).

    The existing additional fields are retained. These fields are hidden by default, but may be enabled for troubleshooting purposes:

    • Telephone Directory Name – This field contains the full name from the Telephone Directory form.
      Tip: You can customize the column header names in row 4 of the mapping file. Ensure the file is saved in CSV (Comma Delimited) format.
      Tip: Add and remove columns in the console display as needed. See Customize the Directories Area in the MiVoice Business Console Operator Help.
      Tip: If the operators have difficulty finding a name, enable the Telephone Directory Name field to determine if there are inconsistencies in the MiVoice Business configuration.
      Tip: Operators who are used to searching first and last names from the Full Name field in previous releases may find it helpful to use the Phone Book Search All feature.
    • GUID – This is the unique identifier that identifies the User in User and Configuration form.
  8. To complete the Phone Book conversion process:

    • Ensure all the consoles have been upgraded to Release 8.0.

    • Copy the new ADF data, mapping and comments files back to their original locations.
      Note: If you do not want all consoles to use the Phone Book Directory based files immediately you will need to maintain different folders for your Phone Book based ADF and comments files and your Telephone Directory based ADF and comments files. Note that the shared comments that are modified during this period will need to be updated by a console running Phone Book based ADF and by a console running Telephone Directory based ADF.
      Note: After a conversion has taken place, you cannot convert your Phone Book ADF files back to Telephone Directory based ADF files. If you wish to retain the original files as a backup, copy them to another location before moving the Phone Book based files back.

  • Update the Directory Administration Configuration data, mapping and comments fields, and Maintenance panel ESM Directory Synchronization field back to the original locations.

    Note: Other consoles will automatically reload the new ADF files on the next scheduled reload.

  • Replace the scheduled daily export of the Telephone Directory with a Phonebook Directory export. See Synching ADF Files with the MiVoice Business for more details.

Parent topic: Phone Book Directory based ADF


Standalone ADF

  • Create an ADF Data File
  • Create an ADF Mapping File
  • Modify the ADF Files
Parent topic: Additional Database Fields (ADF) Directory Mode


Create an ADF Data File

To use the Additional Database Field (ADF) functionality, you must have an external comma separated value (CSV) data file that contains the raw data for your directory database and an additional mapping file that enables the console to interpret the raw data values in the Data file.

The CSV data consists of a series of records, one per line, where the data fields are separated with a comma.

Once you have obtained and verified the CSV file of directory data, you can create an ADF Mapping File.

Obtaining and Verifying the Data File

Directory data may be exported in CSV format from the MiVoice Business ESM Telephone Directory, the ESM Phonebook Directory or saved using another database, spreadsheet, email, or contact manager application.

To create a ADF files from a MiVoice Business export, see Create Phone Book Directory based ADF files.

The Data file can have one or more optional column header lines; however, the Mapping file reads only the data after the column header line(s).

To verify a Data file

  1. Ensure you have obtained the directory database data in CSV format.

  2. Verify that the Data file meets the following requirements:

    • It has complete data to meet the mandatory field requirements.

    • It contains a maximum of 130,000 directory records.

    • Each directory record is contained in one line and has a maximum of 30 fields.

    • Each data file field has a maximum of 130 characters, including any double quotes (for example, " " equals 2 characters).

    • The size of the data file does not exceed 30 MB (to avoid out-of-memory errors).

  3. Save the file in CSV format with any name you choose. You may wish to use a name that makes the Data file easily recognizable, for example, Directory_Data.CSV

    You may be prompted to confirm that you wish to save in CSV format.

    Note: When you are ready to specify the Directory File names and paths, it is recommended that you save both the Mapping file and the Data file together in the same directory.

  4. Proceed to specify the directory file names and paths.

Example Data File

The following illustrates a data file with the first row as a column header.

  • Note:

    If the data file has a column header line, then the mapping file must be configured to ignore this line.

Unique ID | Full Name | Extension | DN Privacy | Department | Location | Cell | Email | IM
aa08874b | Smith, Jon | 1134 | No | Research | Lab 6 | 8886666 | jon@ab.com | jsmith@ocs.ex.com
4d27aa3f | Pardos, Bob | 1123 | Yes | Sales | Phase 2 | 97271234 | bob@ab.com | bpardos@ocs.ex.com
dola1d41 | Lee, Kim | 1201 | Yes | Marketing | Phase 2 | 8881234 | kim@ab.com | klee@ocs.ex.com
5f0d1bc6 | Gilles, Pierre | 1222 | No | Receiving | Courtyard | 97266464 | pierre@ab.com | pgilles@ocs.ex.com
Parent topic: Standalone ADF


Create an ADF Mapping File

The mapping file is a five-line CSV file that specifies the column names and the field data types for each field in the data file.

The ADF Directory files may also be configured to point to a Comments directory; however, the Comments file is automatically generated by the console.

You can find example map and data files at the following location:

C:\ProgramData\Mitel\MiVoice Business Console\config\Example ADF Files\PBSync

Creating the Mapping File

To create a Mapping file

  1. Use a spreadsheet program to create a blank file.

  2. Enter the mapping data.

    1. Use the Example Mapping Fileto see how your data should appear in the spreadsheet.

    2. Use the Mapping File Field Descriptionstable for detailed instructions on entering and verifying values in Rows 1 to 4 of the mapping file.

    3. Use the Mapping File Data Types Tabletable to properly tag the data that you entered in Row 4 of the Mapping File spreadsheet. Enter the appropriate Data Tags on Row 5 of the spreadsheet.

  3. Save the file in CSV format with any name you choose. You may wish to use a name that makes the Mapping file easily recognizable: for example,Directory_Mapping.CSV.

    You may be prompted to confirm that you wish to save in CSV format.

    Note: When you are ready to specify the Directory File names and paths, it is recommended that you save both the Mapping file and the Data file together in the same directory.

Example Mapping File

The Mapping file must contain five lines of information in the order shown in the following example.

Note: The values shown in this example may differ from the values that you enter in your Mapping file. See the Mapping File Field Descriptionstable for details about valid values.
File Format Version | 5 |  |  |  |  |  |  |  |  |
Data starts on line | 2 |  |  |  |  |  |  |  |  |
Prefix Digits | 9 |  |  |  |  |  |  |  |  |
Last Name | First Name | Number. | Department | Location | Email | Tel Dir Name | Unique ID | Prime Phone Service | Privacy | Presence
LN | FN | DN | DPT | LOC | PEML | TDN | GUID | PPS | PVY | LCS

Mapping File Field Descriptions

Line

Column 1

Column 2

Column 3

Description

1

File Format Version

2

blank

Enter any comment text in Column 1. You may use the example text (File Format Version) or your own text.

Enter a digit in Column 2 (MANDATORY VALUE).

Leave all remaining columns blank (no value).

Note:

User Messaging is enabled with Value 2 or higher.

Value 3 or higher allows ADF to be set up to display and distinguish Phonebook entries by colour.

Value 4 enables the Multiple Company Directory feature.

Value 5 - required for MiVoice Business Console, Release 8.0 to support synchronization with the MiVoice Business Phonebook Directory export.

2

Data starts on line

1 - 100

blank

Enter any comment text in Column 1. You may use the example text (Data starts on line) or your own text.

The value in Column 2 depends on the format of the accompanying data file. For example, if data starts on line 1 in the data file, enter the digit 1. If the first line of the data file contains one line of column headers with data starting on line 2, enter the digit 2. Skip any header lines that may be present.

Leave all remaining columns blank (no value).

3

Prefix Digits

blank, 9, or other dialing prefix number

blank

Enter any comment text in Column 1. You may use the example text (Prefix Digits) or your own text.

Enter the dialing prefix digit(s) (for example, 9, for dialing external calls) in Column 2. Prefix digits apply to all numbers that are tagged to use them. Valid entries may be 0 to 30 characters in length.

Leave all remaining columns blank (no value).

Note: All numbers that are tagged as PPHN data entries (that is, as prefixed phone numbers: see the Mapping File Data Types Table for a description of the PPHN tag) will be prefixed with the digit(s) in this field. Only one prefix digit value can be applied to the PPHN numbers in your data file. For example, if you dial 9 to reach certain external numbers, and 8t o reach a different subset of external numbers, you may prefer to leave this field blank, enter the prefix digits directly in each entry, and tag all dialable numbers asPHN. Alternately, you could enter the most commonly-used prefix digit in this field, and enter less commonly-used prefixes in specificPHNentries.

4

user-defined column header text (any text)

user-defined column header text (any text)

user-defined column header text (any text)

The text that you enter in Columns 1 to 30 in this row will display as the Phone Book and BLF display field names.

For example, you could enter First Name in Column 1,Last Name in Column 2,Extension in Column 3.

Enter the column header text in up to 30 columns in this row, one complete, unique column header entry in each cell.

Each entry can be up to 100 alphanumeric characters long.

See the Mandatory Mapping File Fields table to ensure you capture the minimum requirements for this row.

Note: The column header values that you enter in this row must follow the same order as the columns of data in the data file. For example, if Column 1 in the data file contains First Name data, you must enter First Name in Column 1 in the mapping file. Otherwise, the data will not appear under the correct headers and the Directories search operation will not work.

5

user-defined data type tag

user-defined data type tag

user-defined data type tag

The data type tags that you enter in Columns 1 to 30 in this row correspond to the column header text you enter in Row 4.

The data type tags tell the console how to interpret the column header values in Row 4.

For example, if you entered First Name in Row 4, Column 1, you must enter the tag FN in Row 5, Column 1.

Enter the data type tags that correspond to the column headers in Row 4 by referring to Mapping File Data Types table below.

Mapping File Data Types

Note: Values other than those listed in this table cannot be read and are treated as errors.

Data Type Tag (not case-sensitive)

Description

FN

First Name or Full Name

Indicates First Name if the data file detects an LN tag in any other cell in the row.

Indicates Full Name, if the data file detects no LN tag and no LN value in any other cell in the file.

The format for an FN value when interpreted as Full Name must be "Last Name, First Name".

LN

Last Name

LN is a mandatory tag if FN is to be interpreted as First Name.

LN is an optional tag if FN is to be interpreted as Full Name. If you intend FN to indicate Full Name, the LN field must not be present.

TDN

Telephone Directory Name

The TDN field contains the name from the MiVoice Business Telephone Directory and is used as one of the key fields in a synchronization with the MiVoice Business Phone Book.

PPS

Primary Phone Service

PPS indicates that this entry corresponds to the Primary Phone Service for a User. The field is part of a MiVoice Business Phone Book Export.

DN

Directory Number (DN) or Extension

Valid entries are the digits 0 through 9, plus the letters that correspond to the phone keypad numbers (example, A = 2), *, and #. Letters may be upper- or lower-case.

GUID

GlobalUniqueIdentifier

If present, this field uniquely identifies records in the file and is treated as a text field.

If this field is not present, you must enter an FN, LN, and DN field, which are used in combination to uniquely identify the record in the file.

Note: The uniqueness of either the GUID or the FN, LN, DN combination is not verified on import. You must verify their uniqueness within the data file. If a record's GUID or FN, LN, DN combination is not unique, a record may have the wrong Comments attached to it.

PVY

Private

Indicates whether the extension is a private number. If an entry is tagged with PVY, then the icon appears beside the entry.

This indicator should match the programming for the corresponding DN in the MiVoice Business. If the data is “Yes” (case insensitive), the Privacy icon will be turned on; any other text will have the privacy icon turned off.

PHN

Dialable Phone or Extension Number

Valid entries contain digits0through9, plus the letters that correspond to the phone keypad numbers (example, A = 2), *, and #. Letters may be upper- or lower-case.

Entries with this tag are dialed exactly as entered. If entries require a prefix (for example, the digit 9, if the call is external), consider using the tag PPHN as an alternative tag, or enter the prefix as part of the number in PHN fields.

For example,6LABis dialed as6522, and 95922122is dialed as prefix (external)9-5922122.

PPHN

Dialable Phone or Extension Number that is automatically prefixed with the value contained in the Prefix Digits field.

For example, if the mapping file Prefix Digits field value is 9, then all numbers tagged with PPHN are prefixed with 9, that is 6135551234 will be dialed as 96135551234.

Valid entries contain digits0 through9, plus the letters that correspond to the phone keypad numbers (example, A = 2), *, and #. Letters may be upper- or lower-case.

Note: Do not enter an extension number in this field (for example, 5551234x4321). All letters are dialed as the corresponding number on the phone keypad, so the x is dialed as a 9, and the resulting dialing sequence will be incorrect.

DPT

Department

Indicates the entry's Department information.

LOC

Location

Indicates the entry's information.

TXT

Text

Indicates plain text.

EML

Email

Indicates a user email address in the format user@domain.rootdomain.com (example, JSmith@ab.com).

Valid entries must be under 100 characters in length. Multiple email columns are allowed. A field tagged as EML appears as an option when the operator clicks on a directory entry.

PEML

Phonebook Email

The PEML field contains the user email address. The field is part of a MiVoice Business Phone Book Export.

LCS

Live Communication Server or Office Communication Server User Address

The LCS column must be present in the ADF file in order to enable the MiCollab Client Integration feature.

This field only needs to be filled in for third-party contacts. The field should contain the sign-in name string, usually an email address in the format user@domain.rootdomain.com (example, JSmith@LCS.example.com).Valid entries must be under 100 characters in length.

For MiCollab Clients, the field does not need to be filled in. In this case, the MiVoice Business Console automatically synchronizes the MiCollab Client addresses with the MiCollab Client server. If the field is filled in for a MiCollab Client contact, it is ignored. The exception is when the DN of the ADF entry does not match with the MiCollab Client contact DN.

COM

Company Indicator

Indicates the entry's Company name. Data marked with this tag is shown in the Company fields (Greeting, Dialed Company, Dialed Number, and Company Comments) of all the panels in the Queued Calls area.

FCLR

Foreground Colour

Indicates that the Phonebook entry will display in colour, based on the values entered. The numbers entered correspond to a Red-Green-Blue colour value (RRR-GGG-BBB), where each component colour is a number between 0 and 255; example, 20 200 155

Three values must be entered, with a space between each value. Each value does not need to be three digits, e.g. a value of 20 is acceptable.

If one of the values is greater than 255, or if less than three values are entered, the colour will default to black.

Tip: You can determine the colour value by selecting a colour using the Microsoft Paint program, available on the Windows platform. When in the Paint program, go to the menu item Colors->Edit Colors, and click on the Define Custom Colors button. Click on a solid colour from the multi-colour region and then vary the intensity using the slider on the right. Make note of the Red/Green/Blue values and enter them into the Mapping File as described above.

IGN

Ignore

Enter this value if you want the field to be ignored on import. You may wish to tag data with Ignore if you do not want to remove a field completely from the file. Alternately, you can erase the field completely.

Mandatory Mapping File Fields

If you are using Phone Book Directory or Telephone Directory based ADF files, the exported fields from the MiVoice Business should not be modified or removed from your ADF files.

If you are using a Standalone ADF Directory, the following mandatory fields are used to form the key for the BLF list and to match the directory record with the correct entries in the Comments file.

Requirements | FN | LN | DN | GUID
If you wish to use the Global Unique Identifier (GUID) as the unique record key | Optional | Optional | Mandatory | Mandatory
If you wish to use FN as Full Name | Mandatory | Not Allowed | Mandatory | Optional
If you wish to use FN as First Name and LN as Last Name | Mandatory | Mandatory | Mandatory | Optional
Parent topic: Standalone ADF


Modify the ADF Files

You can modify the ADF data and/or mapping file at any time, even after the files have been loaded to the console.

To modify the Directory files

  1. Copy the ADF data and mapping files and a new location or a folder. This prevents other consoles from automatically attempting to reload a locked file, incomplete file or a file that has been saved with errors.

  2. Open the copied files and modify the records as required. See Create an ADF data file and Create an ADF Mapping File for details.

    CAUTION:
    You may use Excel or another editor to edit your ADF files, however, ensure the file is saved in a CSV (Comma Delimited) file format.

  3. Test that the ADF files can be successfully reloaded from a console by changing the data and mapping file locations in the Directory Administration Maintenance panel to point to your temporary folder and selecting the Reload Now button.

  4. After you confirm that the data can be loaded successfully, copy the modified files back to their original location and update the data and mapping file locations in the Directory Administration Maintenance panel to change the temporary folder back to the original folder.

    Note: Ensure that the files have exactly the same names. If you change the file names, you must update the ADF file names in each console that accesses the ADF Directory.

  5. The new ADF files are automatically reloaded by each console if the scheduled reload has been configured. You may also use the Reload Now button in the Directory Administration Maintenance panel on each console.

    Note: If you are synchronizing your ADF files with the MiVoice Business directory, do not modify the exported fields from the MiVoice Business as changes made to key fields will affect the console’s ability retain the additional data fields on a subsequent ESM sync and changes to non-key fields will be overwritten on the next synchronization.
Parent topic: Standalone ADF


Incoming Call Directory Lookup

This feature provides the Console Operator with additional information about incoming callers. The information is derived using the external phone number received to search the ADF Data file for a matching external phone number. The ADF feature must be enabled for this feature to work (see Enable/Disable Additional Database Fields).

The additional information can be displayed in two different areas of the MiVoice Business Console when the call is answered: the Incoming Calls Queued area and the Source window.

The ADF data file contains mobile, home and other external numbers for all or a number of key employees of a company. These numbers would normally be used to call these employees on their mobile or cell phone. For example, when a call comes in for Rene Maxwell, an entry appears in the Cell No. field in the Directories panel with her cell number. When a call comes in, for example, in the Incoming Call Queue area, the Caller column contains the additional contact information.

"Ends With" Match

A match is actually made with an "Ends With" match. That is, if the incoming ANI digits match the end digits of any PHN or PPHN field, then a match has been made. For example, if the incoming digits are 6136146614 and the ADF data file entry for "Cell No." is 9-613-614-6614, then a match of the end digits has been made.

Related Topic
  • About ADF Directory Mode
Parent topic: Additional Database Fields (ADF) Directory Mode


Sychronization Status and Tooltips

In the bottom right corner of the status bar, icons indicate the various states during a synchronization process. The current tooltip displays the status of the last synchronization at that MiVoice Business Console. See MiVoice Business and ADF Status.

Successful Synchronization

The following tooltip is displayed when the synchronization is successful:

Using directory file created on 2011-06-20 15:00:10
Last successful synchronization occurred on 2011-06-20 15:55:10
Number of entries synchronized = 90
Number of entries removed = 10
Number of entries added = 20
Total entries in ADF data file = 110
Missing field information may also be highlighted in a tooltip message.

Failed Synchronization

When the synchronization is not successful, for example, if the Directory file is missing the Number field, the following tool tip message is displayed:

Using directory file created on 2011-06-20 15:55:10 Synchronization failure occurred on 2011-06-20 16:30:33
Reason: Directory file Number field error
Last successful synchronization occurred on 2011-06-20 15:55:10
Number of entries synchronized = 90
Number of entries removed = 10
Number of entries added = 20
Total entries in ADF data file = 110
Parent topic: Additional Database Fields (ADF) Directory Mode


Teleworker

  • Introduction to Teleworker /Remote Configuration
  • Teleworker Feature Limitations and Interactions
  • Troubleshooting Teleworker / Remote Operation
Parent topic: Configuration and Administration


Introduction to Teleworker /Remote Configuration

Operators can use the MiVoice Business Console as a teleworker in their home or in other locations away from the office.

To set up the programming and configuration of the MiVoice Business Console and home gateway router, refer to the MiVoice Business Console Installation Guide.

Parent topic: Teleworker


Teleworker Feature Limitations and Interactions

When the MiVoice Business Console is running in Teleworker Mode, the following differences exist:

  • The following features are not available if the MiVoice Business Console cannot access shared resources on the Corporate Network: Shared Bulletin Board, ADF, BLF Lists, and Call History.

  • Encrypted Signaling (Secure Minet) and Encrypted Voice Streaming (Secure RTP (SRTP)) are used - this is required by devices connected to MiVoice Border Gateway (MBG).

  • By default, the console connects to MiCollab Client Server through the MiVoice Border Gateway using a secure connection. You can choose to use a direct connection to the MiCollab Client Server by disabling the MiVoice Border Gateway Secure Connection option in the User Messaging Options panel.

Parent topic: Teleworker


Troubleshooting Teleworker / Remote Operation

An operator may encounter problems while the MiVoice Business Console is running in Teleworker Mode.

The console is resilient when it is connected to the MiVoice Border Gateway. If the console loses connectivity with the MiVoice Border Gateway it will automatically failover to an alternate MiVoice Border Gateway if one is available. This can happen due to a MiVoice Border Gateway failure or during load balancing. The operator may experience a disruption in service during the failover.

Once reconnected, the MiVoice Business Console will be in an Absent state. The operator must manually change the state to Present.

The operator can hover the mouse over the [image] icon in the Status area in the lower right corner of the display to determine whether the console is connected directly to a MiVoice Business or to a MiVoice Border Gateway (in teleworker mode). See MiVoice Business Status.

Indicates | Problem | Possible Solution
icon in lower right corner of the display. No access to Phone book or Incoming Calls, but the MiVoice Business Console can make and receive calls. | MiVoice Business Console support is Not enabled on the MBG. | Contact the MBG Administrator and verify that the MiVoice Business Console support is enabled.
 | Communication is blocked by the Corporate firewall. | TCP port 6806 must be opened from the Internet to the MBG. Also, TCP port 1606 must be opened from the MBG to the MiVoice Business on any firewall in the path.
Parent topic: Teleworker


User Messaging/MiCollab Client Integration

  • About User Messaging
  • Task Flow for User Messaging
  • Verify User Messaging ADF Tags
  • Customize Predefined Messages
  • Configure the MiCollab Client Server
  • Enable/Disable User Messaging
  • MiCollab Client Presence Integration
  • MiCollab Service Federation with Third-Party Servers
  • MiCollab Client Server Connection Messages
Parent topic: Configuration and Administration


About User Messaging

User Messaging is an optional feature and allows an operator to do the following:

  • Monitor Presence information at a glance.

  • Initiate Instant Message (IM) conversations with contacts. The IM feature works with the 'Presence' feature.

  • Send Emails.

The Presence and IM features require Presence Integration.

Conditions

  • The MiVoice Business Console must be connected to the MiVoice Business Software and a server running an instance of the Mitel MiCollab client/server.

  • Operators should not log into their MiCollab Client account while using the Presence Integration feature on the console.

To configure User Messaging, see Task Flow for User Messaging.

Related Topics
  • Task Flow for User Messaging
Parent topic: User Messaging/MiCollab Client Integration


Task Flow for User Messaging

Follow the steps below to configure the User Messaging feature:

  • If you are using ADF Directory Verify User Messaging ADF Tags

  • Customize Predefined Messages

  • Configure the MiCollab Client Server

  • Start the console and enable Presence Integration

  • Restart the console

  • If necessary, Modify User Messaging directory data

Important: For Presence Integration support in Teleworker mode, ensure that the MiCollab Server has been configured in the MiVoice Border Gateway. Refer to MiVoice Border Gateway Online Help for more information.
Parent topic: User Messaging/MiCollab Client Integration


Verify User Messaging ADF Tags

User Messaging works with the Additional Database Fields (ADF) feature.

When you enabled ADF, you created a Directory Mapping File that controls how the Console interprets your directory user data. In order to support User Messaging, that Mapping File requires specific values in certain data fields. If you followed the instructions provided in this Help system for configuring ADF, you may have already verified this information. This topic does not explain how to create the ADF mapping file, only what to look for when verifying that the mapping file has the correct values for User Messaging. Click Related Topics below for more information on ADF and creating the mapping file.

To verify User Messaging data in the Mapping file:

  1. Check that the File Format Version (or equivalent) field displays the digit 2 or higher.

  2. Check that all data below an Instant Messaging Presence, or IM (or equivalent) column header is tagged as LCS.

  3. Check that all data below an Email column header is tagged as either EML.

  4. Check that you have only one Email column and one LCS column in the file.

  5. If any tags or text fields have incorrect values, you must modify the Directory files.

  6. If data and tags are correct, proceed to customize predefined messages.

Related Topics
  • About ADF Directory Mode
  • Create an ADF Mapping File
  • Customize Predefined Messages
  • Modify the ADF Files
Parent topic: User Messaging/MiCollab Client Integration


Customize Predefined Messages

A set of User Messaging predefined messages has been provided for you. These are configured to be used automatically, but you can customize the titles of the messages and the message contents.

User Messaging predefined messages provide the EMail or Instant Message (IM) text (for example, “Call back” or “Conference call cancelled”) that appears when you right-click a BLF or Phone Book entry and select the EMail or IM/EMail pop-up menu option.

Create one message file for each option that you want to appear in the Directories Panel Right-Click Manager pop-up menu. For example, you might want to add to the set of available predefined messages by creating messages such as:

  • Missed Conference Call

  • Cancelled Conference Call

  • Please Call Back

The predefined messages are available for both Email and IM messages.

You can add, delete, or modify the predefined messages any time, but the console must be restarted to see the changes.

Important Guidelines

  • The default location for predefined messages is C:\ProgramData\Mitel\MiVoice Business Console\config\PredefinedMessages, followed by the language suffix, such as \en\ for English. This is referred to simply as the Messages folder throughout this Help system. You can specify a different location for the predefined messages by selecting Options from the Tools menu, then selecting User Messaging. See Enable/Disable User Messaging for details.

    Note: Storing the predefined messages on a shared drive is recommended, so that all operators can use a single set of predefined messages.

  • The console can load up to 10 predefined messages, each containing a maximum of 1000 characters.

  • Each line of each message ends with a DOS-style 'carriage return' rather than the UNIX-style 'new lines'. Microsoft® Notepad generates the correct end-of-line characters.

  • For the consoles installed before 9.0 SP1 release, the predefined message files are in ANSI format. To display the multilingual characters properly in such a console, do the following:

    • Open each message file in Notepad.
    • Click Save as.
    • In Encoding, select the UTF-8option, and then click Save.

  • Each predefined message file is stored individually in the Messages folder.

  • The contents of a predefined message file is appended to the body of the email or IM window below the standard header.

  • Predefined messages are loaded on the Console at start-up only. You must restart the console to see changes made to the messages files.

File Naming Conventions

  • The name must appear in this format nnn_Predefined Message Description.txt, where

    • nnn_ represents a unique three-digit number that dictates the order in which the options appear in the right-click pop-up menu. Each file name must begin with this three-digit number preceded directly by an underscore ( _ ). For example, 100_Missed Call.txt or 200_Please Call Back.txt.

    • Predefined Message Description is the string describing title of the menu item. In the pop-up menu, the message description displays exactly how it is typed in the message file name. For example, if you enter 100_Missed Call.txt, then Missed Call is the corresponding menu option.

    • .txt is the plain text file extension that must end the file name. Do not save files as HTML or Rich Text Format.

  • When specifying the three-digit value (nnn_) that dictates the order of the message options, leave large increments between each message value. For example, instead of numbering messages 001_ and 002_, assign them values like 100_ and 200_. The large increments leave room for you or other operators to insert new predefined message files in between existing message files. If you number two messages 001 and 002, you will not be able to insert a new message in between those messages at a later date without renumbering the files.

Tip: To permit operators to open an empty message when they right-click an entry, create a file with no text (it will still have a standard message header) and give it a name like000_Empty.txt. This gives operators an option if none of the pre-defined messages suits the message they want to send.

To create predefined messages:

  1. Open a plain text editor like Notepad.

  2. Type the desired pre-defined text. For example, you may type: "This person telephoned while you were out of the office."

  3. Save the Message file in the Messages folder, ensuring that you follow the naming conventions when naming the file. For example, you may save the file as 100_Missed Call.txt.

  4. Create another predefined message (up to 10), if desired.

  5. If you are configuring User Messaging, you can now proceed to enable User Messaging.

To modify predefined messages:

  1. Using Windows Explorer, navigate to the Messages folder.

  2. Open the message file in a plain text editor like Notepad.

  3. Modify the desired text.

  4. Save the file.

  5. Restart the console to ensure it loads the changes.

To delete a predefined message:

  1. Using Windows Explorer, navigate to the Messages folder.

  2. Right-click the message you want to delete.

  3. Select Delete from the pop-up menu.

  4. Click OK to confirm the delete operation.

  5. Restart the console to ensure it loads the changes.

Related Topics
  • About ADF Directory Mode
  • About User Messaging
  • Create an ADF Mapping File
  • Enable/Disable User Messaging
  • Modify the ADF Files
Parent topic: User Messaging/MiCollab Client Integration


Configure the MiCollab Client Server

The MiCollab Client Server must be configured to allow Presence information to be displayed on the MiVoice Business Console for MiCollab Client users. The MiCollab Client Server configuration procedure depends on whether the MiCollab Client is co-located or integrated. In Co-located Mode, the MiCollab Client Server is configured through the MiCollab Client interface, and in Integrated Mode, through the MiCollab User Service Provisioning (USP) interface.

For CloudLink chat configuration, refer MiCollab Client Administrator Guide > Appendix C CloudLink Integration.

Create MiVoice Business Console Feature Profile

To create a MiVoice Business Console Feature profile when the MiCollab Client Server is in Co-located Mode:

  1. Log on to MiCollab.

  2. Click MiCollab Client Service from the list of Applications on the left of the screen.

  3. Click Configure MiCollab Client Service under the Configuration option.

  4. Click the Features tab on the MiCollab Client Service Configuration screen.

  5. Click Add Profile from the Features panel.

  6. Type in the Name and Description for the profile in the Feature Profile Details screen—for example, the name can be MiVoice Business Console.

  7. Click Create. A Features list is displayed.

  8. Select the following three options from the list: Presence, Console Option, and Chat.

  9. Click Save.

The MiVoice Business Console feature profile is created.

To create a MiVoice Business Console Feature profile when the MiCollab Client Server is in Integrated mode:

  1. Log on to MiCollab.

  2. Click Users and Services from the list of Applications on the left of the screen.

  3. Click Add.

  4. Enter the following details:

    • First Name

    • Last Name

      Note: We recommend that you use the same first name and last name as used in the MiVoice Business Telephone Directory.

    • Login ID

    • Password

    • TUI Passcode

    Note: Do not select any Role or UCC Bundle.

  5. Click Save.

  6. Click the Phones tab.

  7. Enter the Console DN in the Number field.

  8. Under Device Type, select Phantom.

  9. Click Save.

  10. Click the MiCollab Client tab.

  11. From the Feature Profile menu, select MiVoice Business Console.

  12. Select Console DN as the desktop phone extension.

Add the MiVoice Business Console Account Information

  1. Click the Accounts tab in the MiCollab Client Service Configuration screen.

  2. Click the Add Account option on the right of the screen.

  3. Enter the account information in the Account Details screen: First Name, Last Name, Login ID, and Password.
    Note: Login ID is the user login name used for the MiCollab Client Server in the User Messaging window. The login ID must be suffixed with the enterprise ID of the MiCollab Server as follows: <User Name>@<Enterprise ID of MiCollab Server>

  4. Select the PBX node on which the MiVoice Business Consoles resides.

  5. Click Create. The Account Details screen is displayed again with the added information.

  6. Click the Contact information option and enter the Console Operator's contact information.

    • Click Add beside Email Address.

    • Double-click Add Label and enter a descriptive name.

    • Double-click Add Value and enter the email address.

    • Click Save.

  7. Select the check box beside the newly created account, and then click Send Welcome Email in the MiCollab Client Service Configuration screen.

    A Welcome Email is sent to the console operator. This Welcome email contains the name of the MiCollab Client Server, for example, MiVoiceBusiness@Mitel.com. See Enable/Disable User Messaging to enable User Messaging.

Parent topic: User Messaging/MiCollab Client Integration


Enable/Disable User Messaging

To enable User Messaging

  1. Start the console.

  2. Click Tools from the Main Menu.

  3. Click Options, then click User Messaging.

  4. Select Enable Presence Integration feature check box.

  5. Enter the operator MiCollab Client name in the User Login ID text box.

    Note: The login ID must be suffixed with the enterprise domain of the MiCollab Server as follows: <User Name>@<Enterprise Domain of MiCollab Server>

  6. Enter the operator MiCollab Client password in the User Password text box.

  7. Type the MiCollab Client Server Address in the Server text box.

  8. Click Test Connection to validate the connection with the MiCollab Client Server. See MiCollab Client Server Connection Messages.

  9. Select the Show my chat status as “Away” when inactive for: check box if you wish to enable this feature. In the drop-down list box, select the amount of time for this option.

  10. Click Apply to save the changes.

  11. Modify the ADF file to include the LCS column in the ADF Mapping file and LCS data for third-party contacts as described in the Data Types Table.

To disable User Messaging

  1. Start the console.

  2. Click Tools from the Main Menu.

  3. Click Options, then click User Messaging.

  4. Clear the Enable Presence Integration feature check box. All components on the dialog are grayed out.

  5. Click OK.

Related Topics
  • About User Messaging
  • Options (User Messaging)
Parent topic: User Messaging/MiCollab Client Integration


MiCollab Client Presence Integration

User Messaging is integrated with the MiCollab Client Server. The MiVoice Business Console supports:

  • Presence, Calendar Advisory Messages, Dynamic Status, and Instant Messaging with MiCollab Client users.

  • Presence and Instant Messaging with third-party contacts is supported through MiCollab Client Federation (see MiCollab Client Federation with Third-Party Servers)

Configuration and Troubleshooting Notes

  • Running both the MiCollab Client and the MiVoice Business Console with User Messaging on the same PC is not recommended.

  • The operator may notice a delay when the MiVoice Business Console is closed. The delay takes place while the console informs the MiCollab Client server.

  • If Presence information does not display after a successful MiCollab Client Server connection, check firewall restrictions. Applications such as the AT&T Global Network Client may interfere with Presence updates from the MiCollab Client server.

Related Topics
  • MiCollab Client Server Connection Messages
  • MiCollab Service Federation with Third-Party Servers
Parent topic: User Messaging/MiCollab Client Integration


MiCollab Service Federation with Third-Party Servers

The MiVoice Business Console supports Presence information and Instant Messaging with third-party presence servers through Federation.

MiCollab Client 5.0 and above supports IM and presence federation with third party presence servers such as:

  • Google

  • Microsoft Office Communicator (OCS)

  • BM Lotus Sametime

  • Microsoft Lync

The MiVoice Business Console receives and displays the presence information by deploying the MiCollab Service and federating it with one of these third party presence servers. This means presence information can be displayed even for employees who are not MiCollab Client users.

This capability allows the MiVoice Business Console operator to see presence and chat features for external contacts/clients.

Essentially, this set up is transparent to operator; they see the same Presence information regardless of whether the contact is a MiCollab client or third-party client. Dynamic Status messages and Calendar Advisory messages are not applicable for the third-party contacts.

The MiCollab Client licenses required for presence are included in the MiVoice Business Console bundle.

For more information, refer to the MiCollab Client Administrator Guide.

Related Topics
  • MiCollab Client Presence Integration
  • MiCollab Client Server Connection Messages
Parent topic: User Messaging/MiCollab Client Integration


MiCollab Client Server Connection Messages

When you enable User Messaging, and test the connection to the MiCollab Client Server, you may see one of the following messages.

Message | Description
Server connection successful | The MiVoice Business Console is able to connect to the MiCollab Client Server.
Failed to launch instant messaging client | 1) The MiCollab Client information has not been configured in the MiVoice Business Console. 2) The MiCollab Client contact presence status is offline or unknown.
Invalid User Name or Password | The password or User Name entered does not match the actual password or User Name.
Server is not reachable | 1) The MiCollab Client information has not been configured in the MiVoice Business Console. 2) There is a problem with the network connection between the MiVoice Business Console and the MiCollab Client Server. 3) The MiCollab Client Server is not running.
Server version is not supported | The MiVoice Business Console is configured with a pre-5.0 MiCollab Client server version.
Certificate Validation Failed | The console failed to verify the received certificate.
Registration with Server Failed | Server is reachable but unable to connect to HTTP port (80/443). Port 80/443 may be blocked or closed on the server. If you are connecting to the MBG, ensure “MiVoice Border Gateway Secure Connection” is enabled.
Parent topic: User Messaging/MiCollab Client Integration


Problem Reporting

  • About Problem Reporting
  • Capture Logs
  • Filter Logs
  • Viewing Logs
Parent topic: Configuration and Administration


About Problem Reporting

The MiVoice Business Console records information in a single ZIP file that can be used to diagnose console problems. The information includes log files, a screen capture, and error diagnostics.

The filename given to this file includes the username, date and time, for example:

Console_Username_09Jun2014_1337.zip

You need a file archive application such asWinZip® installed on your PC in order to open the file.

The ZIP file can be saved to a directory location or sent via FTP to a server on a scheduled basis, or on demand via the Problem Reporting button [image] on the Call Handling toolbar or the Test button in the Problem Reporting window.

See Capturing Logs and Filtering Logs for more details on how to use the Problem Reporting Tool.

Parent topic: Problem Reporting


Capture Logs

You can specify the interval and location of the logs captured, as well as the type of logs to filter using the Problem Reporting window.

To specify the interval and location of logs

  1. Choose Problem Reporting from the Help menu.

  2. Click the Log Capture tab.

  3. Deselect Log Capture Enabled to specify your parameters.

  4. In the Interval list, click the duration (minutes, hours) to capture logs.

  5. Click Directory Location or FTP site, depending on where the logs are to be sent.

  6. Follow the tooltips to enter any necessary data for Directory Location or the FTP site.

  7. Select the Log Capture Enabled check box to begin capturing logs.

After the specified interval, a ZIP file is created in the specified directory location or FTP site.

See Filter Logs for information on selecting the logs for problem resolution.

Parent topic: Problem Reporting


Filter Logs

By default, the console generates Error, Warning, and Info level logs for all log categories. This can be adjusted using the Problem Reporting Window.

The Log Filter screen allows you to

  • select the general filter applied to all logs

  • select the source of the logs that are filtered

Use the tooltips for an explanation of the general rules for log filtering.

To apply a General Log filter

  1. Choose Problem Reporting from the Help menu.

  2. Click the Log Filter tab.

  3. Select or deselect the General filter applied to all log sources: Error, Warning, Info, and Trace.

  4. Click Apply.

General Rules on Log Filtering

  • When a General filter is selected, it enables filtering from all log sources for that level and all higher levels

  • The corresponding Source level check box is selected.

  • In the Source and General, all higher levels are disabled (grayed out).

To apply a Source Level filter

  1. Choose Problem Reporting from the Help menu.

  2. Click the Log Filter tab.

  3. Select a log type from the Log Source. It will be highlighted in blue.

  4. Click Trace in the Source Level filtering. The Trace check box is automatically selected for the log type.

  5. Click Apply.

Parent topic: Problem Reporting


Viewing Logs

You can use the MSP Log Viewer to view console logs. Logs are stored in the following location:

C:\ProgramData\Mitel\MiVoice Business Console\Logview

View Logs

To view logs:

  1. Start the MSP Log Viewer desktop application.

  2. Select File > Connect to MSPLog File.

  3. Go to the following location:
    C:\ProgramData\Mitel\MiVoice Business Console\LogView

  4. In the drop-down box next to the File name box, select All Files (*.*).

  5. Select the console log file, and then click Open.

Delete Logs

To delete logs:

  1. Close the Console.

  2. Go to the following location:
    C:\ProgramData\Mitel\MiVoice Business Console\LogView

  3. Select all the files, and then press Delete.

Parent topic: Problem Reporting


Disclaimers and Trademarks

  • Disclaimer
  • Trademarks


Disclaimer

THIS DOCUMENT IS PROVIDED TO YOU FOR INFORMATIONAL PURPOSES ONLY. The information furnished in this document is believed by Mitel Networks to be accurate as of the date of its publication, and is subject to change without notice. Mitel Networks assumes no responsibility for any errors or omissions in this document and shall have no obligation to you as a result of having made this document available to you or based upon the information it contains.

Mitel is a registered trademark of Mitel Networks Corporation. All other names and products herein are trademarks of their respective companies.

© Copyright 2020, Mitel Networks Corporation. All Rights Reserved.

Parent topic: Disclaimers and Trademarks


Trademarks

The following are trademarks or registered trademarks of their respective companies or organizations:

Mitel Networks / Microsoft / Windows 8 / Windows 8.1 / Windows 10

Parent topic: Disclaimers and Trademarks


Configure Directory Data and Mapping Files

To support the Company information required for the Multiple Company Directory feature, a new Company Information file must be created, and the ADF Mapping file must be updated to include company information, or the COM field type. See About the Additional Database Fields Feature for more information on ADF.

ADF Mapping and Data Files

The ADF mapping file must contain a field with the type COM (short for company). The ADF version number must be Version 4 (or higher) to denote the inclusion of a new field type (COM).

Entries in the ADF mapping file must be populated with the appropriate company name. The length of the company name falls under the same maximum field length of 100 characters.

An example ADF mapping file would look like this:

A corresponding example data file would be populated as shown:

The last field entry in the mapping file is of Field Type COM, with the Field Header label Company. The corresponding data file has two different company names in the last field: Sean

Related Topics
  • About the Additional Database Fields Feature
  • Configure Company Information File


Database Error Messages

The following messages can be displayed when validating the database connection to the MiVoice Business Console.

Messages | Description
Database Server is connected | Console is able to connect to the Postgres Database Server.
Database User Password is invalid | Entered password mis-match with actual password.
Database Server is not reachable. | There is no network connectivity between the Server System and the operator system.
Database Server is not running. | Server System is accessible but the Postgres Database Server is not running on the operator system.


Enable/Disable Additional Database Fields

Enable/Disable Additional Database Fields

The Additional Database Fields (ADF) feature is disabled by default.

When the ADF feature is enabled, the console

  • Immediately loads the Directory data.

  • Enables the Directory Maintenance Reload Now button (in the Directory Administration Maintenance panel).

  • Clears all the search fields in the Directories panel (BLF and Phone Book panes).

  • Refreshes the Directories area with the ADF fields specified in the Directory files.

  • Displays the Phone Books Status tooltip in the Status Area to indicate that the ADF directory file is being used.

  • Is able to support the User Messaging, Multiple Company Directory, and Calendar Integration features.

You can

  • Load the Directory data from Tools -> Directory Administration -> Maintenance.

  • Schedule automatic reloads of directory data.

The console also automatically loads the Directory data on start up by locating the Directory files using the file names and paths that you specify using Directory Administration.

  • Note: If the console cannot locate the Directory files at start up, it defaults to using the MiVoice Business telephone directory instead of the ADF Directory data.

To enable or disable the Additional Database Fields feature

  1. Select Tools from the Main Menu.

  2. Then click Directory Administration, then Configuration.

  3. Select or clear the check box beside Use the Additional Database Fields feature.

  4. Click Apply or OK.

You may disable the ADF feature if the Directory data has become corrupt or if the files are on a shared server that has become unavailable. You can disable the ADF feature until the problem is corrected.

When you switch the ADF feature from enabled to disabled, the console

  • Ignores all configuration information related to ADF.

  • Cancels, clears, and disables the scheduled reload of Directory Data in the Directory Maintenance pane.

  • Disables the Reload Now button.

  • Clears all search fields in the Directories (BLF and Phone Book) panel.

  • Reverts to MiVoice Business mode and uses the MiVoice Business telephone directory for all directory data.

  • Grays out the Comments field so that you may read comments, but not edit them. Editing functionality is restored when the ADF feature is turned back on.

  • Displays the Phone Books Status tooltip in the Status Area to indicate that the MiVoice Business Telephone Directory is being used.

  • Can no longer support the User Messaging, Multiple Company Directory, and Calendar Integration features.

Related Topics
  • About ADF Directory Mode
  • Task Flow to Configure Master Profile


Recall (definition)

A call returns to the console for further handling by the operator.